<?php
/**
 * @package WordPress
 * @subpackage WPExplorer Themes
 */

//global variables
global $data, $post;

//footer grid
$footer_grid_style = $data['footer_layout'];
$footer_grid_class = wpex_grid($footer_grid_style);

//footer callout options
$footer_callout_text = $data['footer_callout_text'];
$footer_callout_btn_txt = $data['footer_callout_btn_txt'];
$footer_callout_btn_link = $data['footer_callout_btn_link'];
$footer_callout_btn_color = $data['footer_callout_btn_color'];
$footer_callout_btn_icon = $data['footer_callout_btn_icon'];
$footer_callout_btn_link_target = $data['footer_callout_btn_link_target'];
?>
<div class="clear"></div>

<?php
if(!is_404()) {
	//callout meta
	$enable_disable_callout = ''; //dummy
	if(is_single() || is_page()) { $enable_disable_callout = get_post_meta($post->ID, 'wpex_enable_disable_callout', TRUE); } //get callout meta
	//show callout text
	if($footer_callout_text) {
		if($enable_disable_callout !='disable') { 
		?>
		<div id="callout" class="clearfix">
			<div id="callout-text"><?php echo $footer_callout_text; ?></div><!-- /callout-text -->
			<?php
			//show callout button
			if($footer_callout_btn_txt ) { ?>
			<div id="callout-btn">
				<a href="<?php echo $footer_callout_btn_link; ?>" class="button <?php echo $footer_callout_btn_color; ?>" target="<?php echo $footer_callout_btn_link_target; ?>">
					<span class="button-inner">
						<?php
						//button icon
						if($footer_callout_btn_icon !='Select') { ?>
							<span class="wpex-icon-<?php echo $footer_callout_btn_icon; ?>"></span>
						<?php } ?>
						<?php echo $footer_callout_btn_txt; //button text ?>
					</span><!-- /button-inner -->
				</a><!-- /button -->
			</div><!-- /callout-btn -->
			<?php } ?>
		</div><!-- /footer-callout -->
<?php
		} //callout disabled on this page
	} //no text specified in the admin
} //404 page
?>

</div><!-- /main-content -->
    <footer id="footer">
    	<?php if($data['disable_widgetized_footer'] !='disable') { ?>
        <div id="footer-widgets" class="grid-container clearfix">
            <div class="footer-box <?php echo $footer_grid_class; ?>">
            	<?php dynamic_sidebar('footer-one'); ?>
            </div>
            <!-- /footer-left -->
            <div class="footer-box <?php echo $footer_grid_class; ?>">
            	<?php dynamic_sidebar('footer-two'); ?>
            </div>
            <!-- /footer-middle -->
            <div class="footer-box <?php echo $footer_grid_class; ?>">
            	<?php dynamic_sidebar('footer-three'); ?>
            </div>
            <!-- /footer-right -->
			<div class="footer-box <?php echo $footer_grid_class; ?>">
            	<?php dynamic_sidebar('footer-four'); ?>
            </div>
            <!-- /footer-right -->
        </div>
        <!-- /footer-widgets -->
        <?php } ?>
    </footer>
    <!-- /footer -->
    <div id="footer-bottom">
    	<div class="grid-container clearfix">
            <div id="copyright" class="grid-2 no-btm-margin">
                <?php if(!empty($data['custom_copyright'])) { echo $data['custom_copyright']; } else { ?>
                &copy; <?php _e('Copyright', 'wpex'); ?> <?php echo date('Y'); ?> <a href="<?php echo home_url(); ?>/" title="<?php bloginfo('name'); ?>" rel="home"><?php bloginfo('name'); ?></a>
                <?php } ?>
            </div><!-- /copyright -->
            <div id="footer-menu" class="grid-2 no-btm-margin">
                <?php wp_nav_menu( array(
                    'theme_location' => 'footer_menu',
                    'sort_column' => 'menu_order',
                    'fallback_cb' => ''
                )); ?>
            </div><!-- /footer-menu -->
    	</div><!-- /grid-container -->
    </div><!-- /footer-bottom --> 
</div><!-- /wrap -->
    
<?php 
//show tracking code - footer 
echo stripslashes($data['tracking_footer']); 
?>
<?php wp_footer(); ?>
</body>
</html>