<?php
/******************************************
/* Recent Posts Widget
******************************************/
class wpex_recent_post_types extends WP_Widget {
							
    /** constructor */
    function wpex_recent_post_types() {
        parent::WP_Widget(false, $name = 'WPEX - Recent Post Type Posts');
    }

    /** @see WP_Widget::widget */
    function widget($args, $instance) {		
        extract( $args );
        $title = apply_filters('widget_title', $instance['title']);
        $number = apply_filters('widget_title', $instance['number']);
        $offset = apply_filters('widget_title', $instance['offset']);
		$post_type = apply_filters('widget_title', $instance['post_type']);
        ?>
              <?php echo $before_widget; ?>
                  <?php if ( $title )
                        echo $before_title . $title . $after_title; ?>
							<ul class="wpex-recent-post-types-widget">
								<?php
								global $post;
								$tmp_post = $post;
								$args = array(
									'post_type' => $post_type,
									'numberposts' => $number,
									'offset'=> $offset,
								);
								$myposts = get_posts( $args );
								foreach( $myposts as $post ) : setup_postdata($post);
								?>
								<li><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></li>
								<?php
								//end loop
                                endforeach;
								//reset query
								$post = $tmp_post; ?>
							</ul>
              <?php echo $after_widget; ?>
        <?php
    }

    /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {				
	$instance = $old_instance;
	$instance['title'] = strip_tags($new_instance['title']);
	$instance['number'] = strip_tags($new_instance['number']);
	$instance['offset'] = strip_tags($new_instance['offset']);
	$instance['post_type'] = strip_tags($new_instance['post_type']);
        return $instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {
		$instance = wp_parse_args( (array) $instance, array( 'title' => 'Recent Posts', 'id' => '', 'number'=> 8, 'offset'=> '', 'post_type' => 'all-cats'));			
        $title = esc_attr($instance['title']);
        $number = esc_attr($instance['number']);
        $offset = esc_attr($instance['offset']);
		$post_type = esc_attr($instance['post_type']);
        ?>
         <p>
          <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:', 'wpex'); ?></label> 
          <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title','wpex'); ?>" type="text" value="<?php echo $title; ?>" />
        </p>
		<p>
          <label for="<?php echo $this->get_field_id('number'); ?>"><?php _e('Number to Show:', 'wpex'); ?></label> 
          <input class="widefat" id="<?php echo $this->get_field_id('number'); ?>" name="<?php echo $this->get_field_name('number'); ?>" type="text" value="<?php echo $number; ?>" />
        </p>
		<p>
          <label for="<?php echo $this->get_field_id('number'); ?>"><?php _e('Offset (the number of posts to skip):', 'wpex'); ?></label> 
          <input class="widefat" id="<?php echo $this->get_field_id('offset'); ?>" name="<?php echo $this->get_field_name('offset'); ?>" type="text" value="<?php echo $offset; ?>" />
        </p>
		 <p>
        <label for="<?php echo $this->get_field_id('post_type'); ?>"><?php _e('Select a post type:', 'wpex'); ?></label> 
        <select class='wpex-select' name="<?php echo $this->get_field_name('post_type'); ?>" id="<?php echo $this->get_field_id('post_type'); ?>">
            <option value="no-cats" <?php if($post_type == 'no-cats') { ?>selected="selected"<?php } ?>><?php _e('None', 'wpex'); ?></option>
            <?php
            //get post_typeonomies
            $args=array('public' => true,'_builtin' => false, 'exclude_from_search' => false); 
            $output = 'names'; // or objects
            $operator = 'and'; // 'and' or 'or'
            $get_post_types = get_post_types($args,$output,$operator); 
            foreach ($get_post_types as $get_post_type ) {
				if($get_post_type !='options'){
            ?>
                <option value="<?php echo $get_post_type; ?>" id="<?php $get_post_type; ?>" <?php if($post_type == $get_post_type) { ?>selected="selected"<?php } ?>><?php echo $get_post_type; ?></option>
            <?php } } ?>
        </select>
        </p>

        <?php 
    }


} // class wpex_recent_post_types
// register Recent Posts widget
add_action('widgets_init', create_function('', 'return register_widget("wpex_recent_post_types");'));	
?>