
<?php
/**
 * @package WordPress
 * @subpackage wpex Theme
 */
 
global $data; //get theme options

//grid style
$blog_grid_style = $data['home_blog_grid']; //get grid style meta
$blog_grid_class = wpex_grid($blog_grid_style); //set grid style

//column number - used for clearing floats
$column_count = str_replace(' Column', '', $data['home_blog_grid']);

//grid image height
$data['home_blog_height'] ? $blog_grid_image_height = 450 * str_replace('%', '', $data['home_blog_height']) / 100 : $blog_grid_image_height = 450;

//get and set blog category
($data['home_blog_cat'] != 'Select') ? $home_blog_cat = $data['home_blog_cat'] : $home_blog_cat = NULL;

//tax query
if($home_blog_cat) {
	$blog_tax_query = array(
		array(
			  'taxonomy' => 'category',
			  'field' => 'id',
			  'terms' => $home_blog_cat
			  )
		);
} else { $blog_tax_query = NULL; }

//get post type ==> blog
global $post;
$args = array(
	'post_type' =>'post',
	'numberposts' => $data['home_blog_count'],
	'tax_query' => $blog_tax_query
);
$blog_posts = get_posts($args);
?>
<?php
//show blog section only if posts exist
if($blog_posts) { ?>
<div id="home-blog">

	<?php
	//show heading
    if(!empty($data['home_blog_title'])) { ?>
    	<h2 class="heading">
        	<span>
				<?php
				//show heading with link
                if(!empty($data['home_blog_title_url'])) { ?> 
                	<a href="<?php echo $data['home_blog_title_url']; ?>" title="<?php echo $data['home_blog_title']; ?>"><span><?php echo $data['home_blog_title']; ?></span></a>
                <?php }
				//show plain heading because link is not defined
				else { echo $data['home_blog_title']; } ?>
			</span>
        </h2>
    <?php } ?>
	
	
    <div class="clearfix grid-container">
		<?php
		$count=0;
        //start loop
        foreach($blog_posts as $post) : setup_postdata($post);
		$count++;
        
        //cropped image
        $thumb = get_post_thumbnail_id();
        $img_url = wp_get_attachment_url($thumb,'full'); //get full URL to image
		
		//image width
		($blog_grid_class == 'grid-2') ? $blog_grid_image_width = 450 : $blog_grid_image_width = 390;
		
        $featured_image = aq_resize( $img_url, $blog_grid_image_width, $blog_grid_image_height, true ); //resize & crop the image
        ?>
        
        <div class="home-entry <?php echo $blog_grid_class; ?>">
            <?php
			//featured image
            if($featured_image) { ?>
                <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" class="blog-entry-img-link">
                    <img src="<?php echo $featured_image; ?>" alt="<?php echo the_title(); ?>" class="blog-entry-img" />
                </a>
            <?php } ?>
                <h2><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2>
            <div class="home-entry-excerpt">
                <?php echo wp_trim_words(get_the_content(), $data['home_blog_excerpt_length']); ?>
            </div>
            <!-- /home-entry-excerpt -->
            <?php 
			//show read more link if not disabled
			if($data['home_blog_read_more'] != 'disable') { ?>
				<a class="read-more" href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php echo wpex_translation('readmore'); ?> &rarr;</a>
            <?php } ?>
        </div>
        <!-- /home-entry -->
        <?php
        //clear floats
		if($count == $column_count) { echo '<div class="clear"></div>'; $count = 0; }
		//end loop
		endforeach; ?>
	</div><!-- /grid-container -->
</div>
<!-- /home-blog -->      	
<?php
} //no posts found
wp_reset_postdata(); //reset post data to prevent conflicts with other loops and main query
?>