<?php
/**
 * @package WordPress
 * @subpackage WPExplorer Themes
 */
 
//global variabless
global $data;

//grid style
$portfolio_grid_style = $data['home_portfolio_grid']; //get grid style meta
$portfolio_grid_class = wpex_grid($portfolio_grid_style); //set grid 

//grid image height
($data['home_portfolio_height']) ? $portfolio_grid_image_height = 450 * str_replace('%', '', $data['home_portfolio_height']) / 100 : $portfolio_grid_image_height = 450;

//get and set portfolio category
($data['home_portfolio_cat'] != 'Select') ? $home_portfolio_cat = $data['home_portfolio_cat'] : $home_portfolio_cat = NULL;

//tax query
if($home_portfolio_cat) {
    $portfolio_tax_query = array(
        array(
              'taxonomy' => 'portfolio_cats',
              'id' => 'slug',
              'terms' => $home_portfolio_cat
              )
        );
} else { $portfolio_tax_query = NULL; }

//get post type ==> portfolio
global $post;
$args = array(
	'post_type' =>'portfolio',
	'numberposts' => $data['home_portfolio_count'],
	'tax_query' => $portfolio_tax_query
);
$portfolio_posts = get_posts($args);

//show portfolio section if posts exist
if($portfolio_posts) { ?>  
    
<div id="home-portfolio">  
	<?php
	//show heading
    if(!empty($data['home_portfolio_title'])) { ?>
    	<h2 class="heading">
        	<span>
				<?php if(!empty($data['home_portfolio_title_url'])) { ?> 
                <a href="<?php echo $data['home_portfolio_title_url']; ?>" title="<?php echo $data['home_portfolio_title']; ?>"><span><?php echo $data['home_portfolio_title']; ?></span></a>
                <?php } else { echo $data['home_portfolio_title']; } ?>
			</span>
        </h2>
    <?php } ?>

	<ul class="grid-container home-portfolio clearfix">
		<?php
		//begin loop
        foreach($portfolio_posts as $post) : setup_postdata($post);
            //get the portfolio loop style
            get_template_part('includes/loop','portfolio');
        endforeach; ?>
    </ul><!-- /grid-container -->
</div><!-- /home-portfolio -->

<?php } wp_reset_postdata(); ?>