<?php
/**
 * @package WordPress
 * @subpackage WPExplorer Themes
 */
 
//global variabless
global $data;

//grid style
$staff_grid_style = $data['home_staff_grid']; //get grid style meta
$staff_grid_class = wpex_grid($staff_grid_style); //set grid 

//grid image height
($data['home_staff_height']) ? $staff_grid_image_height = 450 * str_replace('%', '', $data['home_staff_height']) / 100 : $staff_grid_image_height = 450;

//get and set staff category
($data['home_staff_cat'] != 'Select') ? $home_staff_cat = $data['home_staff_cat'] : $home_staff_cat = NULL;

//tax query
if($home_staff_cat) {
    $staff_tax_query = array(
        array(
              'taxonomy' => 'staff_cats',
              'id' => 'slug',
              'terms' => $home_staff_cat
              )
        );
} else { $staff_tax_query = NULL; }

//get post type ==> staff
global $post;
$args = array(
	'post_type' =>'staff',
	'numberposts' => $data['home_staff_count'],
	'tax_query' => $staff_tax_query
);
$staff_posts = get_posts($args);

//show staff section if posts exist
if($staff_posts) { ?>  
    
<div id="home-staff">  
	<?php
	//show heading
    if(!empty($data['home_staff_title'])) { ?>
    	<h2 class="heading">
        	<span>
				<?php if(!empty($data['home_staff_title_url'])) { ?> 
                <a href="<?php echo $data['home_staff_title_url']; ?>" title="<?php echo $data['home_staff_title']; ?>"><span><?php echo $data['home_staff_title']; ?></span></a>
                <?php } else { echo $data['home_staff_title']; } ?>
			</span>
        </h2>
    <?php } ?>

	<ul class="grid-container home-staff clearfix">
		<?php
		//begin loop
        foreach($staff_posts as $post) : setup_postdata($post);
            //get the staff loop style
            get_template_part('includes/loop','staff');
        endforeach; ?>
    </ul><!-- /grid-container -->
</div><!-- /home-staff -->

<?php } wp_reset_postdata(); ?>