<?php
/**
 * @package WordPress
 * @subpackage WPExplorer Themes
 * This file contains the styling for staff entries.
 */
global $data, $wpex_staff_counter, $staff_grid_class, $staff_grid_image_height; //global variables

//setup counter to use for clearing floats
$staff_column_number = str_replace('grid-','',$staff_grid_class);

//start counting
$wpex_staff_counter++;

//get meta
$staff_position = get_post_meta($post->ID, 'wpex_staff_position', TRUE);

//featured image
$thumb = get_post_thumbnail_id();
$img_url = wp_get_attachment_url($thumb,'full'); //get full URL to image	

//set image width
($staff_grid_class == 'grid-2') ? $staff_grid_image_width = 450 : $staff_grid_image_width = 390;

//resize & crop image
$featured_image = aq_resize( $img_url, $staff_grid_image_width, $staff_grid_image_height, true );

//show entry only if featured image is defined
if($featured_image) { ?>
<div class="staff-entry <?php echo $staff_grid_class; ?>">
    <a href="<?php the_permalink();?>" title="<?php the_title(); ?>" class="staff-entry-img-link">
        <img src="<?php echo $featured_image; ?>" alt="<?php the_title(); ?>" class="staff-entry-img" />
    </a>
	<div class="staff-entry-description">
    	<div class="staff-entry-header">
            <h3><a href="<?php the_permalink();?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h3>
            <?php
            //show staff position
            if($staff_position) { ?>
                <div class="staff-entry-position"><?php echo ''.$staff_position.''; ?></div><!-- /staff-entry-position -->
            <?php } ?>
        </div><!-- /staff-entry-header -->
        <?php
		//prevent descriptions from showing on related items section
		if(!is_single()) {
		//show excerpt if not empty
		if(!empty($post->post_excerpt)) { ?>
            <div class="staff-entry-excerpt">
                <?php the_excerpt(); ?>
            </div><!-- /staff-entry-excerpt -->
			<?php
			//show read more buttn if not disabled
			if($data['staff_read_more'] != 'disable') { ?>
			<a class="read-more" href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php echo wpex_translation('readmore'); ?> &rarr;</a>
			<?php } ?>
        <?php
        	} //no excerpt
		} //is related items
		?>
	</div><!-- /staff-entry-description -->
</div><!-- /staff-entry -->
<?php if($wpex_staff_counter == $staff_column_number) { echo '<div class="clear"></div>'; $wpex_staff_counter=0; } } ?>