<?php
/**
 * @package WordPress
 * @subpackage WPExplorer Themes
 */

//global variables
global $data;

//get template header
get_header();

//start post loop
if (have_posts()) : while (have_posts()) : the_post();

//get meta
$staff_position = get_post_meta($post->ID, 'wpex_staff_position', TRUE);

?>

<header id="page-heading">
    <h1>
	<?php
	//show main title
	the_title();
	//show staff position if not blank
	if($staff_position) echo '<span class="staff-post-position">'.$staff_position.'</span>';
	?>
    
    </h1>	
	<nav id="single-nav" class="clearfix"> 
        <?php next_post_link('<div id="single-nav-left">%link</div>', '<span class="wpex-icon-chevron-left"></span>', false); ?>
        <?php previous_post_link('<div id="single-nav-right">%link</div>', '<span class="wpex-icon-chevron-right"></span>', false); ?>
    </nav><!-- /single-nav --> 
</header><!-- /post-meta -->

<div id="post" class="staff-post clearfix">

    <article id="staff-entry" class="entry clearfix">
		<?php
		//show featured image if not disabled
		if($data['enable_disable_staff_image'] != 'disable') {
			
        //featured image URL
        $thumb = get_post_thumbnail_id();
        $img_url = wp_get_attachment_url($thumb,'full'); //get full URL to image
		
		//image crop size
		($data['staff_image_height']) ? $featured_image_height = 440 * str_replace('%', '', $data['staff_image_height']) / 100 : $featured_image_height = 440;
        
		//resize & crop the featured image
		($data['enable_disable_single_staff_image_crop'] == 'enable') ? $featured_image = aq_resize( $img_url, 440, $featured_image_height, true ) : $featured_image = aq_resize( $img_url, 680, 9999, false );
		
		//show featured image
        if($featured_image){
        ?>
        <div id="staff-post-thumbnail">
           <img src="<?php echo $featured_image; ?>" alt="<?php the_title(); ?>" />
        </div><!-- /staff-post-thumbnail -->
        <?php } //no featued image defined ?>
        <?php } //featured image disbled ?>
        <?php
		//show post content
        the_content(); ?>
    </article><!-- /entry -->
    
    <?php
	//show related posts unless disabled
    if($data['enable_disable_staff_related_posts'] !='disable') {
		
					
		//get single post disable option
		$staff_related_posts = get_post_meta($post->ID, 'wpex_staff_related_posts', TRUE);
		
		//show if not disabled in admin
		if($staff_related_posts != 'disable') {
		
		//get related staff posts
		$cats = wp_get_post_terms($post->ID, 'staff_cats');
		
		//don't even bother if there aren't any staff categories
		if($cats) {  ?>
				<?php
				//grid style
				($data['staff_related_image_height']) ? $staff_grid_image_height = 450 * str_replace('%', '', $data['staff_related_image_height']) / 100 : $staff_grid_image_height = 450;
				$staff_grid_style = $data['staff_related_grid']; //get grid style meta
				$staff_grid_class = wpex_grid($staff_grid_style); //set grid style
	
				//loop arguments
				$args = array(
					'post__not_in' => array( $post->ID ),
					'orderby'=> 'post_date',
					'order' => 'rand',
					'post_type' => 'staff',
					'posts_per_page' => $data['staff_related_count'],
					'tax_query' => array(
						'relation' => 'OR',
						array(
							'taxonomy' => 'staff_cats',
							'terms' => $cats[0]->term_id
						),
					)
				);
				$my_query = new WP_Query($args);
				if( $my_query->have_posts() ) { ?>
				<div id="single-staff-related" class="clearfix">
					<h3 class="heading"><span><?php echo $data['translation_related_staff'] ? $data['translation_related_staff'] : __('Related Staff','wpex'); ?></span></h3>
					<div class="grid-container">
					<?php
                    while ($my_query->have_posts()) : $my_query->the_post();
                        //get the staff loop style
                        get_template_part('includes/loop','staff');
                    endwhile; ?>
                </div><!--/grid-container -->
            </div><!-- /single-staff-related -->
    <?php
					wp_reset_query(); //reset query to prevent con
				} //no related items
    		} //no cats
		} //disabled in meta
	} //disable in admin
	?>
    
	<?php
	//show comments if not disabled
    if($data['enable_disable_staff_comments'] !='disable') { comments_template(); } ?>
</div><!-- /post -->

<?php
//end post loop
endwhile; endif; 

//get staff sidebar
get_sidebar('staff');

//get template footer
get_footer(); ?>