 <?php
/**
 * @package WordPress
 * @subpackage WPExplorer Themes
 */

//get template header
get_header();

//begin tax loop
if(have_posts()) : ?>

<header id="page-heading">
	<?php
	$faqs_name = ($data['faqs_post_type_name']) ? $data['faqs_post_type_name'] : __('FAQs','wpex');
    $term = $wp_query->queried_object; ?>
	<h1><?php echo $faqs_name; ?>: <?php echo $term->name; ?></h1>
</header><!-- /page-heading -->

<?php
//show taxonomy description if available
$category_description = category_description();
if(!empty($category_description )) {
	echo apply_filters('category_archive_meta','<div id="faqs-description">' . $category_description . '</div>');
}
?>

<div id="post" class="faqs-template clearfix">
    
    <ul class="faqs-content">
        
        <?php
		global $query_string;
		query_posts( $query_string . '&order=ASC' );
		
        //start loop
        while (have_posts()) : the_post();   
		
		//get meta
		$faqs_icon = get_post_meta($post->ID, 'wpex_faqs_icon', TRUE);
        ?>
		<li class="faqs-container">       
            <div class="faq-item">
                <h2 class="faq-title clearfix"><a href="#"><span class="wpex-icon-<?php echo $faqs_icon; ?>"></span><?php the_title(); ?></a></h2>
                
                <div class="faq-content entry">
                    <?php the_content(); ?>
                </div><!-- /faq -->
            </div><!-- /faq-item -->
		</li><!-- /faqs-container -->
        <?php
        //end faqs loop
		endwhile; ?>
    
    </ul><!-- /faqs-content -->

</div><!-- /post -->

<?php
//end loop
endif;

//get faqs sidebar
get_sidebar('faqs');

//get template footer
get_footer(); ?>