<?php
/**
 * @package WordPress
 * @subpackage WPExplorer Themes
 */
 
//get theme options
global $data;

//get template header
get_header();

//start tax loop only if taxonomies exist
if (have_posts()) :

//grid style
$portfolio_grid_style = $data['portfolio_tax_grid']; //get grid style meta
$portfolio_grid_class = wpex_grid($portfolio_grid_style); //set grid style

//grid image height
$portfolio_grid_image_height = $data['portfolio_tax_image_height'];
($portfolio_grid_image_height) ? $portfolio_grid_image_height = 450 * str_replace('%', '', $portfolio_grid_image_height) / 100 : $portfolio_grid_image_height = 450;
?>

<header id="page-heading">
	<h1>
	<?php
		$term =	$wp_query->queried_object;
		echo $term->name;
	?>
	</h1>
</header><!-- /page-heading -->

<?php
//show category description if not empty
if(category_description()) { ?>
<div id="portfolio-description">
	 <?php echo category_description( ); ?>
</div><!-- /portfolio-description -->
<?php } ?>

<?php
//show post div is sidebar enabled
if($data['enable_disable_portfolio_tax_sidebar'] == 'enable') { echo '<div id="post">'; } ?>
    
<div id="portfolio-template" class="clearfix">
    <div id="portfolio-wrap" class="grid-container clearfix">
    
        <?php
		//start portfolio entry loop
        while (have_posts()) : the_post();
			//get the portfolio loop style
			get_template_part('includes/loop','portfolio');
        endwhile; ?>
        
        <div class="clear"></div>
		<?php
        //page pagination
        pagination();
        
        //reset tax query
        wp_reset_query(); ?>
          
    </div><!-- /portfolio-wrap -->
</div><!-- /portfolio-template --->

<?php
//close post div is sidebar enabled
if($data['enable_disable_portfolio_tax_sidebar'] == 'enable') { echo '</div><!-- /post -->'; } ?>

<?php
//end page loop
endif;

//get portfolio sidebar, if sidebar enabled
if($data['enable_disable_portfolio_tax_sidebar'] == 'enable') get_sidebar('portfolio');

//get template footer
get_footer(); ?>