<?php
/**
 * @package WordPress
 * @subpackage WPExplorer Themes
 */

//get theme settings
global $data;

//get template header
get_header();

//start loop
if(have_posts()) : ?>

<header id="page-heading">
	<?php $term = $wp_query->queried_object; ?>
	<h1><?php echo $term->name; ?></h1>
</header><!-- /page-heading -->

<?php
$category_description = category_description();
if(!empty($category_description )) {
	echo apply_filters('category_archive_meta','<div id="services-description" class="clearfix">' . $category_description . '</div>');
}
?>

<div id="services-tax-page" class="clearfix">
        
	<div id="services-template-tabs">
    
		<div id="services-template-left">
			<ul id="service-tabs">
			<?php
            //start loop
			$count=0;
            while (have_posts()) : the_post();  
			$count++; 
			
			//meta
			$services_icon = get_post_meta($post->ID, 'wpex_services_icon', TRUE);
            ?>
			<li>
                <a href="#services-tab-<?php echo $count; ?>" title="<?php the_title(); ?>">
                    <?php if($services_icon != 'Select') { ?>
                        <span class="wpex-icon-<?php echo $services_icon; ?>"></span>
                    <?php } ?>
                    <?php the_title(); ?>
                </a>
            </li>
            <?php endwhile; ?>
		</ul>
		<!-- /service tabs -->
		<div id="services-sidebar">
			<?php get_sidebar('services'); ?>
		</div><!-- /services-sidebar -->
	</div><!-- /services-template-left -->
        
	<div id="services-template-right">
		<div id="service-content" class="entry">
			<?php
            //start loop
            $count=0;
            while (have_posts()) : the_post();   
            $count++;
            ?>
            <article id="services-tab-<?php echo $count; ?>" class="service-tab-content">
				<?php
                //featured image
                $thumb = get_post_thumbnail_id();
                $img_url = wp_get_attachment_url($thumb,'full'); //get full URL to image
                $featured_image = aq_resize( $img_url, 680, 9999, false ); //resize & crop the image
                if($featured_image){
                ?>
                <div class="post-thumbnail">
                    <a href="<?php echo $featured_image; ?>" title="<?php the_title(); ?>" class="view"><img src="<?php echo $featured_image; ?>" alt="<?php the_title(); ?>" /></a>
                </div><!-- /post-thumbnail -->
                <?php } ?>
                
                <?php the_content(); ?>
        	</article>
        	<!-- /tab -->
        <div class="clear"></div>
        <?php endwhile; ?>
		</div><!-- /services-content -->
    </div><!-- /services-template-right -->
	</div><!-- /service-template-tabs -->
</div><!-- /services-wrap -->

<?php endif; ?>
<?php get_footer(); ?>