<?php
/**
 * @package WordPress
 * @subpackage WPExplorer Themes
 */

//get the options
global $data;

//get template header
get_header();

//start loop
if (have_posts()) :

//grid style
$staff_grid_style = $data['staff_tax_grid']; //get grid style
$staff_grid_class = wpex_grid($staff_grid_style); //set grid style

//grid image height
$staff_grid_image_height = $data['staff_tax_image_height'];
($staff_grid_image_height) ? $staff_grid_image_height = 450 * str_replace('%', '', $staff_grid_image_height) / 100 : $staff_grid_image_height = 450;
?>

<header id="page-heading">
	<h1>
	<?php
	$staff_name = ($data['staff_post_type_name']) ? $data['staff_post_type_name'] : __('Staff','wpex');
    $term = $wp_query->queried_object; ?>
	<h1><?php echo $staff_name; ?>: <?php echo $term->name; ?></h1>
	</h1>
</header><!-- /page-heading -->

<?php
//show category description if not empty
$category_description = category_description();
if(!empty($category_description )) {
	echo apply_filters('category_archive_meta','<div id="staff-description">' . $category_description . '</div>');
}
?>


<?php
//show post div is sidebar enabled
if($data['enable_disable_staff_tax_sidebar'] == 'enable') { echo '<div id="post">'; } ?>

<div id="staff-template" class="clearfix">
	<div class="grid-container clearfix">
		<?php
        //start loop
        while (have_posts()) : the_post();
            //get the staff loop style
        get_template_part('includes/loop','staff'); endwhile; ?>
        
		<div class="clear"></div>
		<?php
        //page pagination
        pagination();
        
        //reset tax query
        wp_reset_query(); ?>
        
	</div><!-- /grid-container -->
</div><!-- /staff-wrap -->

<?php
//close post div is sidebar enabled
if($data['enable_disable_staff_tax_sidebar'] == 'enable') { echo '</div><!-- /post -->'; } ?>

<?php
//end page loop
endif;

//get staff sidebar, if sidebar enabled
if($data['enable_disable_staff_tax_sidebar'] == 'enable') get_sidebar('staff');

//get template footer
get_footer(); ?>