<?php
/**
 * @package WordPress
 * @subpackage WPExplorer Themes
 * Template Name: FAQs
 */

//get theme options
global $data;

//get template header
get_header();

//start page loop
if (have_posts()) : while (have_posts()) : the_post();

//posts per page
$template_posts_per_page = get_post_meta($post->ID, 'wpex_template_posts_per_page', true);

//get meta to set parent category
$faqs_filter_parent = '';
$faqs_parent = get_post_meta($post->ID, 'wpex_faqs_parent', true);
if($faqs_parent != 'select_faqs_cats_parent') { $faqs_filter_parent = $faqs_parent; } else { $faqs_filter_parent = NULL; }
?>

<header id="page-heading">
    <h1><?php the_title(); ?></h1>
</header><!-- END page-heading -->

<div id="post" class="faqs-template clearfix">

	<?php
	//show page content if not empty
    $content = $post->post_content;
    if(!empty($content)) { ?>
        <div id="faqs-description">
            <?php the_content(); ?>
        </div><!-- /faqs-description -->
    <?php }?>
    
    <ul class="faqs-content">
		<?php
        //tax query
        if($faqs_filter_parent) {
            $tax_query = array(
                array(
                      'taxonomy' => 'faqs_cats',
                      'field' => 'id',
                      'terms' => $faqs_filter_parent
                      )
                );
        } else { $tax_query = NULL; }
        
        //start main loop
        global $post;
        $args = array(
            'post_type' =>'faqs',
            'numberposts' => '-1',
            'order' => 'DESC',
            'tax_query' => $tax_query
        );
        $faqs = get_posts($args);
        
        //start loop
        foreach($faqs as $post) : setup_postdata($post);
        
        //get meta
        $faqs_icon = get_post_meta($post->ID, 'wpex_faqs_icon', TRUE);
        ?>
        <li class="faqs-container">       
            <div class="faq-item">
                <h2 class="faq-title clearfix"><a href="#"><span class="wpex-icon-<?php echo $faqs_icon; ?>"></span><?php the_title(); ?></a></h2>
                <div class="faq-content entry">
                    <?php the_content(); ?>
                </div><!-- /faq -->
            </div><!-- /faq-item -->
        </li><!-- /faqs-container -->
        <?php endforeach; wp_reset_postdata(); ?>
    </ul><!-- /faqs-content -->
    
</div><!-- /faqs-wrap -->

<?php
//end page loop
endwhile; endif;

//get faqs sidebar
get_sidebar('faqs');

//get template footer
get_footer(); ?>