<?php
/**
 * @package WordPress
 * @subpackage WPExplorer Themes
 * Template Name: Portfolio With Filter & Sidebar
*/

//get theme options
global $data;

//get template heade <= careful don't delete me
get_header();

//start page loop
if (have_posts()) : while (have_posts()) : the_post();

//grid style
$portfolio_grid_style = get_post_meta($post->ID, 'wpex_grid_style', true); //get grid style meta
$portfolio_grid_class = wpex_grid($portfolio_grid_style); //set grid style

//grid image height
$portfolio_grid_image_height_meta = get_post_meta($post->ID, 'wpex_grid_image_height', true);
($portfolio_grid_image_height_meta) ? $portfolio_grid_image_height = 450 * str_replace('%', '', $portfolio_grid_image_height_meta) / 100 : $portfolio_grid_image_height = 450;

//set parent taxonomy
$portfolio_parent = get_post_meta($post->ID, 'wpex_portfolio_parent', true);
$portfolio_filter_parent = '';
($portfolio_parent != 'select_portfolio_cats_parent') ? $portfolio_filter_parent = $portfolio_parent : $portfolio_filter_parent = NULL;
?>

<header id="page-heading">
	<h1><?php the_title(); ?></h1>	
</header><!-- /page-heading -->

<div id="post">

    <?php
	//show page content if not empty
    $content = $post->post_content;
    if(!empty($content)) { ?>
        <div id="portfolio-description" class="clearfix">
            <?php the_content(); ?>
        </div><!-- portfolio-description -->
    <?php } ?>

	<?php 
    //get portfolio categories
    $cats_args = array(
        'hide_empty' => '1',
        'child_of' => $portfolio_filter_parent
    );
    $cats = get_terms('portfolio_cats', $cats_args);
    
    //show filter if categories exist
    if($cats) { ?>
    <!-- Portfolio Filter -->
    <ul id="portfolio-cats" class="filter clearfix">
        <li><a href="#all" rel="all" class="active"><span><?php _e('All', 'wpex'); ?></span></a></li>
        <?php
        foreach ($cats as $cat ) : ?>
        <li><a href="#<?php echo $cat->slug; ?>" rel="<?php echo $cat->slug; ?>"><span><?php echo $cat->name; ?></span></a></li>
        <?php endforeach; ?>
    </ul><!-- /portfolio-cats -->
    <?php } ?>

    <div id="portfolio-filter-template" class="clearfix">
        <div id="portfolio-wrap" class="clearfix">
            <ul class="portfolio-content">
                <?php
                //tax query
                if($portfolio_filter_parent) {
                $tax_query = array(
                    array(
                          'taxonomy' => 'portfolio_cats',
                          'field' => 'id',
                          'terms' => $portfolio_filter_parent
                          )
                    );
                } else { $tax_query = NULL; }
                
                //get post type ==> portfolio
                query_posts(array(
                    'post_type'=>'portfolio',
                    'posts_per_page' => -1,
                    'paged'=>$paged,
                    'tax_query' => $tax_query
                ));
                
                //start loop
                while (have_posts()) : the_post();
    
                    //get the portfolio loop style
                    get_template_part('includes/loop','portfolio');
                    
                endwhile; wp_reset_query(); ?>
            </ul><!-- /portfolio-content -->
        </div><!-- /portfolio-wrap -->
    </div><!-- /portfolio-filter-template -->
</div><!-- /post -->

<?php
//end page loop
endwhile; endif;

//get sidebar
get_sidebar('portfolio');

//get tmeplate footer
get_footer(); ?>