<?php
/**
 * @package WordPress
 * @subpackage WPExplorer Themes
 * Template Name: Services
 */

//get theme options
global $data; 

//get template header
get_header();

//start page loop
if (have_posts()) : while (have_posts()) : the_post();

//get meta to set parent category
$services_filter_parent = '';
$services_parent = get_post_meta($post->ID, 'wpex_services_parent', true);	
($services_parent != 'select_services_cats_parent') ? $services_filter_parent = $services_parent : $services_filter_parent = NULL;
?>

<header id="page-heading">
	<h1><?php the_title(); ?></h1>	
</header><!-- /page-heading -->
     
<div id="services-template " class="clearfix">
	<?php		
    //tax query
    if($services_filter_parent) {
        $tax_query = array(
            array(
                  'taxonomy' => 'services_cats',
                  'field' => 'id',
                  'terms' => $services_filter_parent
                  )
            );
    } else { $tax_query = NULL; }
    
    // get custom post type ==> homepage-tabs
    global $post;
    $args = array(
        'post_type'=>'services',
        'numberposts' => -1,
        'order' => 'DESC',
        'tax_query' => $tax_query
    );
    $services_posts = get_posts($args);
    ?>
    <div id="services-template-tabs">
        <div id="services-template-left">
                <ul id="service-tabs" class="ui-tabs-nav">
                    <?php
                    //tabs
                    $count=0;
                    foreach($services_posts as $post) : setup_postdata($post);
                    $count++;
					
					//meta
					$services_icon = get_post_meta($post->ID, 'wpex_services_icon', TRUE);
                    ?>
                    <li>
                    <a href="#services-tab-<?php echo $count; ?>" title="<?php the_title(); ?>">
						<?php
						//show service icon
                        if($services_icon != 'Select') { ?>
                        	<span class="wpex-icon-<?php echo $services_icon; ?>"></span>
						<?php } ?>
                        <?php the_title(); ?>
                    </a>
                    </li>
                    <?php endforeach; ?>
                </ul>
                <!-- /service tabs -->
                <div id="services-sidebar">
               		<?php get_sidebar('services'); ?>
                </div><!-- /services-sidebar -->
        </div><!-- /services-template-left -->
    
    	<div id="services-template-right">
            <div id="service-content" class="entry">
                <?php
                //tab content
                $count=0;
                foreach($services_posts as $post) : setup_postdata($post);
                $count++;
                ?>
                <article id="services-tab-<?php echo $count; ?>" class="service-tab-content">
					<?php
					//featured image
					$thumb = get_post_thumbnail_id();
					$img_url = wp_get_attachment_url($thumb,'full'); //get full URL to image
					$featured_image = aq_resize( $img_url, 680, 9999, false ); //resize & crop the image
					if($featured_image){
					?>
					<div class="service-thumbnail">
						<img src="<?php echo $featured_image; ?>" alt="<?php the_title(); ?>" />
					</div><!-- /service-thumbnail -->
					<?php } ?>
                    <?php
					//show post content
                    the_content(); ?>
                </article><!-- /service-tab -->
                <div class="clear"></div>
                <?php endforeach; ?>
            </div><!-- /services-content -->
		</div><!-- /services-template-right -->  
	</div><!-- /service-template-tabs -->
</div><!-- /services-wrap -->

<?php
//reset custom query
wp_reset_postdata();

//end page loop
endwhile; endif;

//get template footer
get_footer(); ?>