<?php
/**
 * @package WordPress
 * @subpackage wpex Theme
 * Template Name: Staff With Sidebar
 */

//get theme options
global $data;

//get template header
get_header();

//start page loop
if (have_posts()) : while (have_posts()) : the_post();

//posts per page
$template_posts_per_page = get_post_meta($post->ID, 'wpex_template_posts_per_page', true);

//grid style
$staff_grid_style = get_post_meta($post->ID, 'wpex_grid_style', true); //get grid style meta
$staff_grid_class = wpex_grid($staff_grid_style); //set grid style

//grid image height
$staff_grid_image_height_meta = get_post_meta($post->ID, 'wpex_grid_image_height', true); //set grid image height meta
($staff_grid_image_height_meta) ? $staff_grid_image_height = 450 * str_replace('%', '', $staff_grid_image_height_meta) / 100 : $staff_grid_image_height = 450;

//get meta to set parent category
$staff_filter_parent = '';
$staff_parent = get_post_meta($post->ID, 'wpex_staff_parent', true);
($staff_parent != 'select_staff_cats_parent') ? $staff_filter_parent = $staff_parent : $staff_filter_parent = NULL;
?>

<header id="page-heading">
	<h1><?php the_title(); ?></h1>	
</header><!-- /page-heading -->

<div id="post">
    <?php
    //show page content if not empty
    $content = $post->post_content;
    if(!empty($content)) { ?>
        <div id="staff-description">
            <?php the_content(); ?>
        </div><!-- /staff-description -->
    <?php }?>
    
    <div id="staff-template" class="clearfix">
    
        <div class="grid-container clearfix">
            <?php
            //tax query
            if($staff_filter_parent) {
            $tax_query = array(
                array(
                      'taxonomy' => 'staff_cats',
                      'field' => 'id',
                      'terms' => $staff_filter_parent
                      )
                );
            } else { $tax_query = NULL; }
        
            //get posts ==> staff
            query_posts(array(
                'post_type' => 'staff',
                'posts_per_page' => $template_posts_per_page,
                'paged' => $paged,
                'tax_query' => $tax_query
            ));
        
            //start loop
            while (have_posts()) : the_post();
                //get the staff loop style
                get_template_part('includes/loop','staff');
			//end loop
            endwhile; ?>    
        </div><!--/grid-container -->
        <?php
		//show page pagination
		pagination();
		//reset custom query
		wp_reset_query();
		?>
    </div><!-- /staff-wrap -->
</div><!-- /post -->
<?php
//end page loop
endwhile; endif;

//get sidebar
get_sidebar('staff');

//get template footer
get_footer(); ?>