<?php
/*--------------------------------------*/
/*	Theme Options Front End
/*--------------------------------------*/

add_action('init','of_options');
if (!function_exists('of_options')) {
	function of_options() {
		
	//WordPress Categories
	$of_categories = array();  
	$of_categories_obj = get_categories('hide_empty=0');
	$of_categories = array( __("Select", 'wpex') => __("Select", 'wpex') ); 
	foreach ($of_categories_obj as $of_cat) {
	$of_categories[$of_cat->cat_ID] = $of_cat->cat_name;} 
		   
	//WordPress Pages
	$of_pages = array();
	$of_pages_obj = get_pages('sort_column=post_parent,menu_order');    
	$of_pages = array( __("Select", 'wpex') => __("Select", 'wpex') ); 
	foreach ($of_pages_obj as $of_page) {
	$of_pages[$of_page->ID] = $of_page->post_title; }
	
	//Sliders
	$sliders = array();
	$sliders_obj = get_posts('post_type=slides&sort_column=post_parent,menu_order');   
	$sliders = array( __("Select", 'wpex') => __("Select", 'wpex') ); 
	foreach ($sliders_obj as $slider) {
	 $sliders[$slider->ID] = $slider->post_title; }
	
	//Portfolio Categories
	$portfolio_cats_args = array( 'hide_empty' => '1' );
	$portfolio_cats_terms = get_terms('portfolio_cats', $portfolio_cats_args);
	$portfolio_cats_tax = array( __("Select", 'wpex') => __("Select", 'wpex') );
	if($portfolio_cats_terms){
		foreach ( $portfolio_cats_terms as $portfolio_cats_term) {
			$portfolio_cats_tax[$portfolio_cats_term->term_id] = $portfolio_cats_term->name;
		}   
	}
	
	//staff Categories
	$staff_cats_args = array( 'hide_empty' => '1' );
	$staff_cats_terms = get_terms('staff_cats', $staff_cats_args);
	$staff_cats_tax = array( __("Select", 'wpex') => __("Select", 'wpex') );
	if($staff_cats_terms){
		foreach ( $staff_cats_terms as $staff_cats_term) {
			$staff_cats_tax[$staff_cats_term->term_id] = $staff_cats_term->name;
		}   
	}

	//select options
	$enable_disable = array(
		'enable' => 'enable',
		'disable' => 'disable'
	); 
	$disable_enable = array(
		'disable' => 'disable',
		'enable' => 'enable'
	); 
	$true_false = array(
		'true' => 'true',
		'false' => 'false'
	); 
	$fixed_static  = array(
		'fixed' => 'fixed',
		'static' => 'static'
	);

	$font_size = array(
		'Select' => 'Select',
		'12px' => '12px',
		'13px' => '13px',
		'14px' => '14px'
	);
	$font_weight = array(
		'Select' => 'Select',
		'normal' => 'normal',
		'bold' => 'bold'
	);
	$btn_colors = array(
		'orange' => 'Orange',
		'blue' => 'Blue',
		'red' => 'Red',
		'black' => 'Black',
		'green' => 'Green',
		'grey' => 'Gray',
		'light-gray' => 'Light Gray',
		'rosy' => 'Rosy',
		'pink' => 'Pink',
		'brown' => 'Brown',
		'purple' => 'Purple',
		'gold' => 'Gold',
		'teal' => 'Teal',
		'navy' => 'Navy'
	);
	$link_target = array(
		'_self' => 'Self',
		'_blank' => 'Blank'
	);
	$lightbox_themes = array(
		'pp_default' => 'Default',
		'light_rounded' => 'Light Rounded',
		'dark_rounded' => 'Dark Rounded',
		'light_square' => 'Light Square',
		'dark_square' => 'Dark Square',
		'facebook' => 'Facebook'
	);
	$bg_style = array(
		'repeat' => 'repeat',
		'repeat-x' => 'repeat-x',
		'repeat-y' => 'repeat-y',
		'full' => 'full'
	);
	
	//home modules
	$of_options_homepage_blocks = array(
		"enabled" => array (
			"placebo" => "placebo", //REQUIRED!
			"home_slider" => "Slider",
			"home_tagline" => "Tagline",
			"home_highlights" => "Highlights",
			"home_portfolio" => "Portfolio Items",
			"home_blog" => "Blog Posts",
			"home_staff" => "Staff",
			"home_widgets" => "Widgets",
			"home_static_page" => "Static Page"
		),
		"disabled" => array (
			"placebo" => "placebo", //REQUIRED!
			"custom_module_one" => "Custom Module 1",
			"custom_module_two" => "Custom Module 2",
			"custom_module_three" => "Custom Module 3",
			"custom_module_four" => "Custom Module 4",
			"custom_module_five" => "Custom Module 5"
		),
	);
	
	
	//Background Images Reader
	$bg_images_path = get_stylesheet_directory() . '/images/bg/'; // change this to where you store your bg images
	$bg_images_url = get_template_directory_uri().'/images/bg/'; // change this to where you store your bg images
	$bg_images = array();
	
	if ( is_dir($bg_images_path) ) {
		if ($bg_images_dir = opendir($bg_images_path) ) { 
			while ( ($bg_images_file = readdir($bg_images_dir)) !== false ) {
				if(stristr($bg_images_file, ".png") !== false || stristr($bg_images_file, ".jpg") !== false) {
					$bg_images[] = $bg_images_url . $bg_images_file;
				}
			}    
		}
	}
	
	//location of admin images
	$url =  ADMIN_DIR . 'assets/images/';
	
	
	/*-----------------------------------------------------------------------------------*/
	/* The Options Array */
	/*-----------------------------------------------------------------------------------*/
	
	// Set the Options Array
	global $of_options;
	$of_options = array();
	
	
	$of_options[] = array( "name" => __('General', 'wpex'),
					"type" => "heading");
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "general_branding_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Branding','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => __('Main Logo Upload', 'wpex'),
						"desc" => __('Upload your custom logo using the native media uploader, or define the URL directly', 'wpex'),
						"id" => "custom_logo",
						"std" => "",
						"type" => "media");
						
	$of_options[] = array( "name" => __('Custom Login Logo', 'wpex'),
						"desc" => __('Upload a custom logo for your Wordpress login screen.', 'wpex'),
						"id" => "custom_login_logo",
						"std" => "",
						"type" => "media");
						
	$of_options[] = array( "name" => __('Custom Login Logo Height', 'wpex'),
						"desc" => __('Enter the height of your custom logo to override the default WordPress image height. Width, must not be changed.', 'wpex'),
						"id" => "custom_login_logo_height",
						"std" => "",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Custom Favicon', 'wpex'),
						"desc" => __('Upload or past the URL for your custom favicon.', 'wpex'),
						"id" => "custom_favicon",
						"std" => "",
						"type" => "upload");
					
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "general_topbar_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Top Bar','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
											
	$of_options[] = array( "name" => __('Top Bar', 'wpex'),
						"desc" => __('Select to enable/disable the top bar', 'wpex'),
						"id" => "disable_top_bar",
						"std" => "enable",
						"type" => "select",
						"options" => $enable_disable);
						
	$of_options[] = array( "name" => __('Top Bar Static or Fixed', 'wpex'),
						"desc" => __('Select if you want a static or fixed top bar. The Fixed option will keep the bar always visible.', 'wpex'),
						"id" => "top_bar_position",
						"std" => "fixed",
						"type" => "select",
						"options" => $fixed_static);
																						
	$of_options[] = array( "name" => __('Top Bar Menu', 'wpex'),
						"desc" => __('Select to enable/disable the top bar menu.', 'wpex'),
						"id" => "disable_top_bar_menu",
						"std" => "enable",
						"type" => "select",
						"options" => $enable_disable);
						
	$of_options[] = array( "name" => __('Top Bar Menu Alternative', 'wpex'),
						"desc" => __('Enter your custom html/text as an alternative for the menu if you have disabled it above..', 'wpex'),
						"id" => "top_bar_menu_alternative",
						"std" => "",
						"type" => "textarea");
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "general_header_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Header','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => __('Header Logo Margin Top', 'wpex'),
						"desc" => __('Enter a top margin in pixels for your header logo.', 'wpex'),
						"id" => "header_logo_top_margin",
						"std" => "0px",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Header Right Content Margin Top', 'wpex'),
						"desc" => __('Enter a top margin in pixels for your header right area.', 'wpex'),
						"id" => "header_right_top_margin",
						"std" => "0px",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Search Bar', 'wpex'),
						"desc" => __('Select to enable/disable the header search bar', 'wpex'),
						"id" => "enable_disable_search",
						"std" => "enable",
						"type" => "select",
						"options" => $enable_disable);	
						
	$of_options[] = array( "name" => __('Above Search Text', 'wpex'),
						"desc" => __('Enter your custom text/html for above the search bar.', 'wpex'),
						"id" => "above_search",
						"std" => "1-800-455-877 [font_icon icon=phone margin_left=7px margin_right=14px]<br />sales@company.com [font_icon icon=envelope-alt margin_left=7px margin_right=14px]",
						"type" => "textarea");
												
	$of_options[] = array( "name" => __('Below Search Text', 'wpex'),
						"desc" => __('Enter your custom text/html for below the search bar.', 'wpex'),
						"id" => "below_search",
						"std" => "",
						"type" => "textarea");
						
	$of_options[] = array( "name" => __('Icon Font', 'wpex'),
						"type" => "heading");
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "types_heading",
						"std" => "<p style=\"margin: 0;\">".__('Icons are a huge aspect of this theme, unfortunately, due to certain restrictions the Icon Font can not be included with the theme download. In order to activate the icon fonts, please enable the css option below and then download Font Awesome v2 and upload the icon fonts into the "fonts" folder (see the theme documentation for further details).','wpex')." - <a href=\"http://fortawesome.github.com/Font-Awesome/\">Font Awesome</a></p>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => __('Enable/Disable Font Icon CSS', 'wpex'),
						"desc" => __('Select to enable or disable the icon font css.', 'wpex'),
						"id" => "enable_icon_fonts",
						"std" => "disable",
						"type" => "select",
						"options" => $disable_enable);
						
	$of_options[] = array( "name" => __('Styling', 'wpex'),
						"type" => "heading");
	
							$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "styling_main_header",
						"std" => "<h3 style=\"margin: 0;\">".__('Built-In','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => __('Responsive Layout', 'wpex'),
						"desc" => __('Select to enable/disable the responsive layout', 'wpex'),
						"id" => "disable_responsive",
						"std" => "enable",
						"type" => "select",
						"options" => $enable_disable);
	
	$skin_images_url = get_template_directory_uri() .'/images/admin/skins/';					
	$of_options[] = array( "name" => __('Color Scheme', 'wpex'),
						"desc" => __('Select the sidebar position for your site. Choose left or right.', 'wpex'),
						"id" => "color_scheme",
						"std" => "black",
						"type" => "images",
						"options" => array(
							'black' => $skin_images_url . 'skin-black.png',
							'blue' => $skin_images_url . 'skin-blue.png',
							'red' => $skin_images_url . 'skin-red.png',
							'orange' => $skin_images_url . 'skin-orange.png',
							'cobalt-blue' => $skin_images_url . 'skin-cobalt-blue.png',
							'gray' => $skin_images_url . 'skin-gray.png',
							'green' => $skin_images_url . 'skin-green.png',
							'light-green' => $skin_images_url . 'skin-light-green.png',
							'baby-blue' => $skin_images_url . 'skin-baby-blue.png',
							'purple' => $skin_images_url . 'skin-purple.png',
							'pink' => $skin_images_url . 'skin-pink.png',
							'cherry' => $skin_images_url . 'skin-cherry.png',
							'teal' => $skin_images_url . 'skin-teal.png',
							'steel' => $skin_images_url . 'skin-steel.png',
							'burgundy' => $skin_images_url . 'skin-burgundy.png',
							'ochre' => $skin_images_url . 'skin-ochre.png',
							'brown' => $skin_images_url . 'skin-brown.png'),
						);
							
	$of_options[] = array( "name" => __('Sidebar Layout', 'wpex'),
						"desc" => __('Select the sidebar position for your site. Choose left or right.', 'wpex'),
						"id" => "sidebar_position",
						"std" => "right",
						"type" => "images",
						"options" => array(
							'right' => $url . '2cr.png',
							'left' => $url . '2cl.png')
						);
						
												
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "styling_custom_header",
						"std" => "<h3 style=\"margin: 0;\">".__('Custom','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
												
						
	$of_options[] = array( "name" => __('Custom CSS', 'wpex'),
						"desc" => __('Quickly add some CSS to your theme by adding it to this block.', 'wpex'),
						"id" => "custom_css",
						"std" => "",
						"type" => "textarea");					
	$of_options[] = array( "name" => __('Backgrounds', 'wpex'),
						"type" => "heading");
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "backgrounds_main_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Site Wide','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => "Site Wide: Preset Image",
						"desc" => "Select a background. You can add your own by dropping the images into your images/bg folder in the theme.",
						"id" => "main_bg",
						"std" => $bg_images_url."default_bg.png",
						"type" => "tiles",
						"options" => $bg_images);
						
	$of_options[] = array( "name" => __('Site Wide: Custom Image', 'wpex'),
						"desc" => __('Upload your custom logo using the native media uploader, or define the URL directly', 'wpex'),
						"id" => "main_bg_custom",
						"std" => "",
						"type" => "media");
						
	$of_options[] = array( "name" => "Site Wide: Background Style",
						"desc" => "Select your background style.",
						"id" => "main_bg_style",
						"std" => "repeat",
						"type" => "select",
						"options" => $bg_style);
	
	$of_options[] = array( "name" => __('Site Wide: Background Color', 'wpex'),
						"desc" => __('Select your background color. Used if you have selected no background image or you are using a see-through image.', 'wpex'),
						"id" => "main_bg_color",
						"std" => "",
						"type" => "color");
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "backgrounds_portfolio_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Portfolio','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => __('Enable Custom Portfolio Background', 'wpex'),
						"desc" => __('Select to enable/disable the custom background for portfolio pages, posts and archives.', 'wpex'),
						"id" => "portfolio_enable_disable_custom_bg",
						"std" => "disable",
						"type" => "select",
						"options" => $disable_enable);
						
	$of_options[] = array( "name" => "Portfolio: Preset Image",
						"desc" => "Select a background. You can add your own by dropping the images into your images/bg folder in the theme.",
						"id" => "portfolio_bg",
						"std" => $bg_images_url."default_bg.png",
						"type" => "tiles",
						"options" => $bg_images);
						
	$of_options[] = array( "name" => __('Portfolio: Custom Image', 'wpex'),
						"desc" => __('Upload your custom logo using the native media uploader, or define the URL directly', 'wpex'),
						"id" => "portfolio_bg_custom",
						"std" => "",
						"type" => "media");
						
	$of_options[] = array( "name" => "Portfolio: Background Style",
						"desc" => "Select your background style.",
						"id" => "portfolio_bg_style",
						"std" => "repeat",
						"type" => "select",
						"options" => $bg_style);
	
	$of_options[] = array( "name" => __('Portfolio: Background Color', 'wpex'),
						"desc" => __('Select your background color. Used if you have selected no background image or you are using a see-through image.', 'wpex'),
						"id" => "portfolio_bg_color",
						"std" => "",
						"type" => "color");
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "backgrounds_services_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Services','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
	
	$of_options[] = array( "name" => __('Enable Custom Services Background', 'wpex'),
						"desc" => __('Select to enable/disable the custom background for services pages, posts and archives.', 'wpex'),
						"id" => "services_enable_disable_custom_bg",
						"std" => "disable",
						"type" => "select",
						"options" => $disable_enable);
						
	$of_options[] = array( "name" => "Services: Preset Image",
						"desc" => "Select a background. You can add your own by dropping the images into your images/bg folder in the theme.",
						"id" => "services_bg",
						"std" => $bg_images_url."default_bg.png",
						"type" => "tiles",
						"options" => $bg_images);
						
	$of_options[] = array( "name" => __('Services: Custom Image', 'wpex'),
						"desc" => __('Upload your custom logo using the native media uploader, or define the URL directly', 'wpex'),
						"id" => "services_bg_custom",
						"std" => "",
						"type" => "media");
						
	$of_options[] = array( "name" => "Services: Background Style",
						"desc" => "Select your background style.",
						"id" => "services_bg_style",
						"std" => "repeat",
						"type" => "select",
						"options" => $bg_style);
	
	$of_options[] = array( "name" => __('Services: Background Color', 'wpex'),
						"desc" => __('Select your background color. Used if you have selected no background image or you are using a see-through image.', 'wpex'),
						"id" => "services_bg_color",
						"std" => "",
						"type" => "color");
						
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "backgrounds_faqs_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('FAQs','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => __('Enable Custom FAQs Background', 'wpex'),
						"desc" => __('Select to enable/disable the custom background for faqs pages, posts and archives.', 'wpex'),
						"id" => "faqs_enable_disable_custom_bg",
						"std" => "disable",
						"type" => "select",
						"options" => $disable_enable);
						
	$of_options[] = array( "name" => "FAQs: Preset Image",
						"desc" => "Select a background. You can add your own by dropping the images into your images/bg folder in the theme.",
						"id" => "faqs_bg",
						"std" => $bg_images_url."default_bg.png",
						"type" => "tiles",
						"options" => $bg_images);
						
	$of_options[] = array( "name" => __('FAQs: Custom Image', 'wpex'),
						"desc" => __('Upload your custom logo using the native media uploader, or define the URL directly', 'wpex'),
						"id" => "faqs_bg_custom",
						"std" => "",
						"type" => "media");
						
	$of_options[] = array( "name" => "FAQs: Background Style",
						"desc" => "Select your background style.",
						"id" => "faqs_bg_style",
						"std" => "repeat",
						"type" => "select",
						"options" => $bg_style);
	
	$of_options[] = array( "name" => __('FAQs: Background Color', 'wpex'),
						"desc" => __('Select your background color. Used if you have selected no background image or you are using a see-through image.', 'wpex'),
						"id" => "faqs_bg_color",
						"std" => "",
						"type" => "color");
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "backgrounds_staff_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Staff','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => __('Enable Custom Staff Background', 'wpex'),
						"desc" => __('Select to enable/disable the custom background for staff pages, posts and archives.', 'wpex'),
						"id" => "staff_enable_disable_custom_bg",
						"std" => "disable",
						"type" => "select",
						"options" => $disable_enable);
						
	$of_options[] = array( "name" => "Staff: Preset Image",
						"desc" => "Select a background. You can add your own by dropping the images into your images/bg folder in the theme.",
						"id" => "staff_bg",
						"std" => $bg_images_url."default_bg.png",
						"type" => "tiles",
						"options" => $bg_images);
						
	$of_options[] = array( "name" => __('Staff: Custom Image', 'wpex'),
						"desc" => __('Upload your custom logo using the native media uploader, or define the URL directly', 'wpex'),
						"id" => "staff_bg_custom",
						"std" => "",
						"type" => "media");
						
	$of_options[] = array( "name" => "Staff: Background Style",
						"desc" => "Select your background style.",
						"id" => "staff_bg_style",
						"std" => "repeat",
						"type" => "select",
						"options" => $bg_style);
	
	$of_options[] = array( "name" => __('Staff: Background Color', 'wpex'),
						"desc" => __('Select your background color. Used if you have selected no background image or you are using a see-through image.', 'wpex'),
						"id" => "staff_bg_color",
						"std" => "",
						"type" => "color");		
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "backgrounds_blog_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Blog','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => __('Enable Custom Blog Background', 'wpex'),
						"desc" => __('Select to enable/disable the custom background for blog posts and archives.', 'wpex'),
						"id" => "blog_enable_disable_custom_bg",
						"std" => "disable",
						"type" => "select",
						"options" => $disable_enable);
						
	$of_options[] = array( "name" => "Blog: Preset Image",
						"desc" => "Select a background. You can add your own by dropping the images into your images/bg folder in the theme.",
						"id" => "blog_bg",
						"std" => $bg_images_url."default_bg.png",
						"type" => "tiles",
						"options" => $bg_images);
						
	$of_options[] = array( "name" => __('Blog: Custom Image', 'wpex'),
						"desc" => __('Upload your custom logo using the native media uploader, or define the URL directly', 'wpex'),
						"id" => "blog_bg_custom",
						"std" => "",
						"type" => "media");
						
	$of_options[] = array( "name" => "Blog: Background Style",
						"desc" => "Select your background style.",
						"id" => "blog_bg_style",
						"std" => "repeat",
						"type" => "select",
						"options" => $bg_style);
	
	$of_options[] = array( "name" => __('Blog: Background Color', 'wpex'),
						"desc" => __('Select your background color. Used if you have selected no background image or you are using a see-through image.', 'wpex'),
						"id" => "blog_bg_color",
						"std" => "",
						"type" => "color");
						
	$of_options[] = array( "name" => __('Typography', 'wpex'),
						"type" => "heading");	
				
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "types_heading",
						"std" => "<p style=\"margin: 0;\">".__('The following font options are provided for basic support for those that only want a few changes so they don\'t have to download a full-blown plugin. If you require additional options you should consider using a plugin or the custom settings area.','wpex')."</p>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "typography_main_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Built-In Options','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => "Body Font",
						"desc" => "Body font properties",
						"id" => "body_font",
						"std" => array('face' => 'default','style' => 'normal',),
						"type" => "typography");
	
	$of_options[] = array( "name" => __('Headings', 'wpex'),
						"desc" => __('Deadings font properties. This will be applied to h1, h2, h3, h4, h5, h6 tags.', 'wpex'),
						"id" => "headings_font",
						"std" => array('face' => 'default','style' => 'bold',),
						"type" => "typography");
						
	$of_options[] = array( "name" => __('Navigation', 'wpex'),
						"desc" => __('Navigation (top and main) font properties.', 'wpex'),
						"id" => "navigation_font",
						"std" => array('size' => '13px', 'face' => 'default','style' => 'bold',),
						"type" => "typography");
						
	$of_options[] = array( "name" => __('Homepage Tagline', 'wpex'),
						"desc" => __('Homepage tagine font properties.', 'wpex'),
						"id" => "tagline_font",
						"std" => array('size' => '28px', 'face' => 'default','style' => 'normal',),
						"type" => "typography"); 
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "typography_custom_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Custom Settings','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
					
	$of_options[] = array( "name" => __('Custom Font Stylesheets', 'wpex'),
					"desc" => __('If you want to add more Google fonts or custom fonts or you want a font for a specific region and the options above won\'t work, insert your whole link href code in the text area below.<br /><br />Following <a href="http://www.w3schools.com/tags/tag_link.asp">this format</a>. Such as those provided on Google Fonts.', 'wpex'),
					"id" => "custom_font_stylesheets",
					"std" => "",
					"type" => "textarea");
					
	$of_options[] = array( "name" => __('Custom Fonts CSS', 'wpex'),
					"desc" => __('This text area will echo out any css you enter here to the header of your site.', 'wpex'),
					"id" => "custom_font_css",
					"std" => "",
					"type" => "textarea");			
						 
	$of_options[] = array( "name" => __('Home', 'wpex'),
						"type" => "heading");
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "home_main_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Main','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => __('Enable Blog Style Homepage', 'wpex'),
						"desc" => __('Select to enable/disable the blog style homepage.', 'wpex'),
						"id" => "enable_disable_home_blog",
						"std" => "disable",
						"type" => "select",
						"options" => $disable_enable);
										
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "home_tagline_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Homepage Modules','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => "",
						"desc" => __('Organize how you want the layout to appear on the homepage. Click to drag and drop your items.', 'wpex'),
						"id" => "homepage_blocks",
						"std" => $of_options_homepage_blocks,
						"type" => "sorter");
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "home_slider_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Slider','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => __('Slider', 'wpex'),
						"desc" => __('Select your homepage slider. Note: This option is for the Slider Module, which should only be used at the top of the homepage. If you wish sliders elsewhere, please use the custom module options and paste your slider shortcode in there.', 'wpex'),
						"id" => "home_slider",
						"std" => "Select",
						"type" => "select",
						"options" => $sliders);
	
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "home_tagline_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Tagline','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
					
	$of_options[] = array( "name" => __('Tagline: Title', 'wpex'),
						"desc" => __('Enter your custom title for the homepage tagline module. Leave blank to show nothing.', 'wpex'),
						"id" => "home_tagline_title",
						"std" => "",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Tagline: URL', 'wpex'),
						"desc" => __('Enter a url to link your homepage tagline module title to (optional).', 'wpex'),
						"id" => "home_tagline_title_url",
						"std" => "",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Tagline: Content', 'wpex'),
						"desc" => __('Control your homepage tagline here. HTML and shortcodes allowed.', 'wpex'),
						"id" => "home_tagline",
						"std" => 'A Premium WordPress theme you are bound to love.<br /> Aesthetically Awesome, Packed with Features &amp; Easy to Customise.',
						"type" => "textarea");	
						
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "home_highlights_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Highlights','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => __('Highlights: Title', 'wpex'),
						"desc" => __('Enter your custom title for the homepage highlights module. Leave blank to show nothing.', 'wpex'),
						"id" => "home_highlights_title",
						"std" => "What We Do",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Highlights: Title URL', 'wpex'),
						"desc" => __('Enter a url to link your highlights title to (optional).', 'wpex'),
						"id" => "home_highlights_title_url",
						"std" => "",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Highlights: Layout', 'wpex'),
						"desc" => __('Select your highlights column layout.', 'wpex'),
						"id" => "home_highlights_grid",
						"std" => "5 Column",
						"type" => "images",
						"options" => array(
							'1 Column' => $url . '1column.png',
							'2 Column' => $url . '2column.png',
							'3 Column' => $url . '3column.png',
							'4 Column' => $url . '4column.png',
							'5 Column' => $url . '5column.png',
							'6 Column' => $url . '6column.png')
						);
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "home_portfolio_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Portfolio','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => __('Portfolio: Title', 'wpex'),
						"desc" => __('Enter your custom title for the latest portfolio items module. Leave blank to show nothing.', 'wpex'),
						"id" => "home_portfolio_title",
						"std" => "Recent Work",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Portfolio: Title URL', 'wpex'),
						"desc" => __('Enter a url to link your portfolio items title to (optional).', 'wpex'),
						"id" => "home_portfolio_title_url",
						"std" => "",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Portfolio: Category', 'wpex'),
						"desc" => __('If you do not want to show all the recent portfolio items, select a specific category below.', 'wpex'),
						"id" => "home_portfolio_cat",
						"std" => "",
						"type" => "select",
						"options" => $portfolio_cats_tax);
						
	$of_options[] = array( "name" => __('Portfolio: Count', 'wpex'),
						"desc" => __('How many latest portfolio items do you want to show on the homepage.', 'wpex'),
						"id" => "home_portfolio_count",
						"std" => "3",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Portfolio: Layout', 'wpex'),
						"desc" => __('Select your highlights column layout.', 'wpex'),
						"id" => "home_portfolio_grid",
						"std" => "3 Column",
						"type" => "images",
						"options" => array(
							'2 Column' => $url . '2column.png',
							'3 Column' => $url . '3column.png',
							'4 Column' => $url . '4column.png',
							'5 Column' => $url . '5column.png',
							'6 Column' => $url . '6column.png')
						);
						
	$of_options[] = array( "name" => __('Portfolio: Image Height', 'wpex'),
						"desc" => __('Enter a percentage to increase or decrease the image height by. <br />Example: 110% would increase the slider by 20%<br />Example: 20% would decrease the height by 80%.', 'wpex'),
						"id" => "home_portfolio_height",
						"std" => "100%",
						"type" => "text");
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "home_staff_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Staff','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => __('Staff: Title', 'wpex'),
						"desc" => __('Enter your custom title for the latest staff items module. Leave blank to show nothing.', 'wpex'),
						"id" => "home_staff_title",
						"std" => "Our Staff",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Staff: Title URL', 'wpex'),
						"desc" => __('Enter a url to link your staff items title to (optional).', 'wpex'),
						"id" => "home_staff_title_url",
						"std" => "",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Staff: Category', 'wpex'),
						"desc" => __('If you do not want to show all the recent staff items, select a specific category below.', 'wpex'),
						"id" => "home_staff_cat",
						"std" => "",
						"type" => "select",
						"options" => $staff_cats_tax);
						
	$of_options[] = array( "name" => __('Staff: Count', 'wpex'),
						"desc" => __('How many latest staff items do you want to show on the homepage.', 'wpex'),
						"id" => "home_staff_count",
						"std" => "3",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Staff: Layout', 'wpex'),
						"desc" => __('Select your highlights column layout.', 'wpex'),
						"id" => "home_staff_grid",
						"std" => "3 Column",
						"type" => "images",
						"options" => array(
							'2 Column' => $url . '2column.png',
							'3 Column' => $url . '3column.png',
							'4 Column' => $url . '4column.png',
							'5 Column' => $url . '5column.png',
							'6 Column' => $url . '6column.png')
						);
						
	$of_options[] = array( "name" => __('Staff: Image Height', 'wpex'),
						"desc" => __('Enter a percentage to increase or decrease the image height by. <br />Example: 110% would increase the slider by 20%<br />Example: 20% would decrease the height by 80%.', 'wpex'),
						"id" => "home_staff_height",
						"std" => "100%",
						"type" => "text");
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "home_blog_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Blog','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => __('Blog: Title', 'wpex'),
						"desc" => __('Enter your custom title for the latest blog items module. Leave blank to show nothing.', 'wpex'),
						"id" => "home_blog_title",
						"std" => "From The Blog",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Blog: title URL', 'wpex'),
						"desc" => __('Enter a url to link your blog items title to (optional).', 'wpex'),
						"id" => "home_blog_title_url",
						"std" => "",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Blog: Category', 'wpex'),
						"desc" => __('If you do not want to show all the recent blog posts, select a specific category below.', 'wpex'),
						"id" => "home_blog_cat",
						"std" => "",
						"type" => "select",
						"options" => $of_categories);
						
	$of_options[] = array( "name" => __('Blog: Count', 'wpex'),
						"desc" => __('How many latest blog items do you want to show on the homepage.', 'wpex'),
						"id" => "home_blog_count",
						"std" => "3",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Blog: Excerpt Length', 'wpex'),
						"desc" => __('Enter your excerpt length for the latest blog items.', 'wpex'),
						"id" => "home_blog_excerpt_length",
						"std" => "20",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Blog: Layout', 'wpex'),
						"desc" => __('Select your latest blog posts column layout.', 'wpex'),
						"id" => "home_blog_grid",
						"std" => "3 Column",
						"type" => "images",
						"options" => array(
							'2 Column' => $url . '2column.png',
							'3 Column' => $url . '3column.png',
							'4 Column' => $url . '4column.png',
							'5 Column' => $url . '5column.png',
							'6 Column' => $url . '6column.png')
						);
		
	$of_options[] = array( "name" => __('Blog: Image Height', 'wpex'),
						"desc" => __('Enter a percentage to increase or decrease the image height by. <br />Example: 110% would increase the slider by 20%<br />Example: 20% would decrease the height by 80%.', 'wpex'),
						"id" => "home_blog_height",
						"std" => "100%",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Blog: Read More Button', 'wpex'),
						"desc" => __('Select to enable/disable the read more button on the recent blog section.', 'wpex'),
						"id" => "home_blog_read_more",
						"std" => "enable",
						"type" => "select",
						"options" => $enable_disable);
										
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "home_widgets_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Widgets','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
								
	$of_options[] = array( "name" => __('Widgets: Title', 'wpex'),
						"desc" => __('Enter the text for your widgets module title. (optional)', 'wpex'),
						"id" => "home_widgets_title",
						"std" => "",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Widgets: Title URL', 'wpex'),
						"desc" => __('Enter the URL for your widgets module title. (optional)', 'wpex'),
						"id" => "home_widgets_title_url",
						"std" => "",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Widgets: Layout', 'wpex'),
						"desc" => __('Select your homepage widgets column layout. Add your widgets under Apperance/Widgets as usual.', 'wpex'),
						"id" => "home_widgets_grid",
						"std" => "3 Column",
						"type" => "images",
						"options" => array(
							'1 Column' => $url . '1column.png',
							'2 Column' => $url . '2column.png',
							'3 Column' => $url . '3column.png',
							'4 Column' => $url . '4column.png',
							'5 Column' => $url . '5column.png',
							'6 Column' => $url . '6column.png')
						);
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "home_page_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Static Page','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => __('Static Page: Title', 'wpex'),
						"desc" => __('Enter the text for your static page module title. (optional)', 'wpex'),
						"id" => "home_static_page_title",
						"std" => "Sample Title",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Static Page: Title URL', 'wpex'),
						"desc" => __('Enter the url for your static page module title. (optional)', 'wpex'),
						"id" => "home_static_page_title_url",
						"std" => "",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Static Page', 'wpex'),
						"desc" => __('Select a page for your homepage static page module. <strong>Important:</strong> Pages with custom loops like the portfolio, services, staff..etc, pages will not work.This only shows the content from the post editor.', 'wpex'),
						"id" => "home_static_page",
						"std" => "Select",
						"type" => "select",
						"options" => $of_pages);
	
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "home_custom_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Custom Modules','wpex')."</h3>",
						"icon" => false,
						"type" => "info");					
						
	$of_options[] = array( "name" => __('Custom Module 1', 'wpex'),
						"desc" => __('Enter your custom html, text, shortcodes here.', 'wpex'),
						"id" => "home_custom_one",
						"std" => "",
						"type" => "textarea");
						
	$of_options[] = array( "name" => __('Custom Module 2', 'wpex'),
						"desc" => __('Enter your custom html, text, shortcodes here.', 'wpex'),
						"id" => "home_custom_two",
						"std" => "",
						"type" => "textarea");
						
	$of_options[] = array( "name" => __('Custom Module 3', 'wpex'),
						"desc" => __('Enter your custom html, text, shortcodes here.', 'wpex'),
						"id" => "home_custom_three",
						"std" => "",
						"type" => "textarea");
						
	$of_options[] = array( "name" => __('Custom Module 4', 'wpex'),
						"desc" => __('Enter your custom html, text, shortcodes here.', 'wpex'),
						"id" => "home_custom_four",
						"std" => "",
						"type" => "textarea");
						
	$of_options[] = array( "name" => __('Custom Module 5', 'wpex'),
						"desc" => __('Enter your custom html, text, shortcodes here.', 'wpex'),
						"id" => "home_custom_five",
						"std" => "",
						"type" => "textarea");
	
	$of_options[] = array( "name" => __('Portfolio', 'wpex'),
						"type" => "heading");
						
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "port_main_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Main','wpex')."</h3>",
						"icon" => false,
						"type" => "info");	
						
	$of_options[] = array( "name" => __('Categories: Layout', 'wpex'),
						"desc" => __('Select your column layout for the portfolio taxonomy pages.', 'wpex'),
						"id" => "portfolio_tax_grid",
						"std" => "4 Column",
						"type" => "images",
						"options" => array(
							'2 Column' => $url . '2column.png',
							'3 Column' => $url . '3column.png',
							'4 Column' => $url . '4column.png',
							'5 Column' => $url . '5column.png',
							'6 Column' => $url . '6column.png')
						);
																
	$of_options[] = array( "name" => __('Categories: Image Height', 'wpex'),
						"desc" => __('Enter a percentage to increase or decrease the image height by. <br />Example: 110% would increase the slider by 20%<br />Example: 20% would decrease the height by 80%.', 'wpex'),
						"id" => "portfolio_tax_image_height",
						"std" => "100%",
						"type" => "text");
														
	$of_options[] = array( "name" => __('Categories: Items Per Page', 'wpex'),
						"desc" => __('How many portfolio items do you wish to show on the portfolio categories before activating the pagination.', 'wpex'),
						"id" => "portfolio_tax_pagination",
						"std" => "12",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Categories: Enable/Disable Sidebar', 'wpex'),
						"desc" => __('Select to enable or disable the sidebar on your auto-generated portfolio category pages.', 'wpex'),
						"id" => "enable_disable_portfolio_tax_sidebar",
						"std" => "disable",
						"type" => "select",
						"options" => $disable_enable);
						
	$of_options[] = array( "name" => __('Template (Non-Filter): Items Per Page', 'wpex'),
						"desc" => __('How many portfolio items do you wish to show on the portfolio page before activating the pagination. (filtered portfolio will always show all)', 'wpex'),
						"id" => "portfolio_pagination",
						"std" => "12",
						"type" => "text");
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "port_entry_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Entries','wpex')."</h3>",
						"icon" => false,
						"type" => "info");	
						
	$of_options[] = array( "name" => __('Entry: Title', 'wpex'),
						"desc" => __('Select to enable or disable the title on portfolio entries.', 'wpex'),
						"id" => "enable_disable_portfolio_title",
						"std" => "enable",
						"type" => "select",
						"options" => $enable_disable);
						
	$of_options[] = array( "name" => __('Entry: Excerpt', 'wpex'),
						"desc" => __('Select to enable or disable the excerpt on portfolio entries.', 'wpex'),
						"id" => "enable_disable_portfolio_excerpt",
						"std" => "enable",
						"type" => "select",
						"options" => $enable_disable);
						
	$of_options[] = array( "name" => __('Entry: Excerpt Length', 'wpex'),
						"desc" => __('Enter your custom excerpt length for portfolio posts.<br /><br /><strong>Hint</strong>: You can use your excerpt field in the post editor for custom excerpts.', 'wpex'),
						"id" => "portfolio_entry_excerpt_length",
						"std" => "20",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Entry: Read More Button', 'wpex'),
						"desc" => __('Select to enable or disable the read more button on portfolio entries.', 'wpex'),
						"id" => "portfolio_read_more",
						"std" => "disable",
						"type" => "select",
						"options" => $disable_enable);
						
	$of_options[] = array( "name" => __('Overlay: Color', 'wpex'),
						"desc" => __('Select your overlay color when hovering portfolio items.', 'wpex'),
						"id" => "portfolio_overlay_color",
						"std" => "",
						"type" => "color");
						
	$of_options[] = array( "name" => __('Overlay: Opacity', 'wpex'),
						"desc" => __('Enter your entry image hovers. Value from 0-1. Default is 0.9', 'wpex'),
						"id" => "portfolio_overlay_opacity",
						"std" => "",
						"type" => "text");
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "port_post_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Post','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => __('Post: Crop Featured Images', 'wpex'),
						"desc" => __('Select to enable or disable the single posts featured image cropping function.', 'wpex'),
						"id" => "enable_disable_single_portfolio_image_crop",
						"std" => "enable",
						"type" => "select",
						"options" => $enable_disable);
						
	$of_options[] = array( "name" => __('Post: Featured Image Height', 'wpex'),
						"desc" => __('Enter a percentage to increase or decrease the image height by. <br />Example: 110% would increase the slider by 20%<br />Example: 20% would decrease the height by 80%.', 'wpex'),
						"id" => "portfolio_image_height",
						"std" => "100%",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Post: Related Items', 'wpex'),
						"desc" => __('Select to enable or disable the related items on portfolio posts (globally). ', 'wpex'),
						"id" => "enable_disable_portfolio_related_posts",
						"std" => "enable",
						"type" => "select",
						"options" => $enable_disable);
						
	$of_options[] = array( "name" => __('Post: Related Items Count', 'wpex'),
						"desc" => __('How many portfolio items do you wish to show for the related porfolio items section?', 'wpex'),
						"id" => "portfolio_related_count",
						"std" => "3",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Post: Related Items Style', 'wpex'),
						"desc" => __('Select your column layout for the portfolio taxonomy pages.', 'wpex'),
						"id" => "portfolio_related_grid",
						"std" => "3 Column",
						"type" => "images",
						"options" => array(
							'2 Column' => $url . '2column.png',
							'3 Column' => $url . '3column.png',
							'4 Column' => $url . '4column.png',
							'5 Column' => $url . '5column.png',
							'6 Column' => $url . '6column.png')
						);
						
	$of_options[] = array( "name" => __('Post: Related Items Image Height', 'wpex'),
						"desc" => __('Enter a percentage to increase or decrease the image height by. <br />Example: 110% would increase the slider by 20%<br />Example: 20% would decrease the height by 80%.', 'wpex'),
						"id" => "portfolio_related_image_height",
						"std" => "100%",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Staff', 'wpex'),
						"type" => "heading");
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "staff_main_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Staff Categories','wpex')."</h3>",
						"icon" => false,
						"type" => "info");	
						
	$of_options[] = array( "name" => __('Categories: Layout', 'wpex'),
						"desc" => __('Select your column layout for the staff category pages.', 'wpex'),
						"id" => "staff_tax_grid",
						"std" => "4 Column",
						"type" => "images",
						"options" => array(
							'2 Column' => $url . '2column.png',
							'3 Column' => $url . '3column.png',
							'4 Column' => $url . '4column.png',
							'5 Column' => $url . '5column.png',
							'6 Column' => $url . '6column.png')
						);
						
	$of_options[] = array( "name" => __('Categories: Image Height', 'wpex'),
						"desc" => __('Enter a percentage to increase or decrease the image height by. <br />Example: 110% would increase the slider by 20%<br />Example: 20% would decrease the height by 80%.', 'wpex'),
						"id" => "staff_tax_image_height",
						"std" => "110%",
						"type" => "text");
														
	$of_options[] = array( "name" => __('Categories: Items Per Page', 'wpex'),
						"desc" => __('How many portfolio items do you wish to show on the staff categories before activating the pagination.', 'wpex'),
						"id" => "staff_tax_pagination",
						"std" => "12",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Categories: Enable/Disable Sidebar', 'wpex'),
						"desc" => __('Select to enable or disable the sidebar on your auto-generated staff category pages.', 'wpex'),
						"id" => "enable_disable_staff_tax_sidebar",
						"std" => "enable",
						"type" => "select",
						"options" => $disable_enable);									
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "staff_entries_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Entries','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => __('Entry: Read More Button', 'wpex'),
						"desc" => __('Select to enable or disable the read more button on staff entries.', 'wpex'),
						"id" => "staff_read_more",
						"std" => "disable",
						"type" => "select",
						"options" => $disable_enable);
						
	$of_options[] = array( "name" => __('Overlay: Color', 'wpex'),
						"desc" => __('Select your overlay color when hovering staff items.', 'wpex'),
						"id" => "staff_overlay_color",
						"std" => "",
						"type" => "color");
						
	$of_options[] = array( "name" => __('Overlay: Opacity', 'wpex'),
						"desc" => __('Enter your entry image hovers. Value from 0-1. Default is 0.9', 'wpex'),
						"id" => "staff_overlay_opacity",
						"std" => "",
						"type" => "text");
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "staff_post_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Post','wpex')."</h3>",
						"icon" => false,
						"type" => "info");	
						
	$of_options[] = array( "name" => __('Post: Featured Images', 'wpex'),
						"desc" => __('Select to enable or disable the featured image on blog posts.', 'wpex'),
						"id" => "enable_disable_staff_image",
						"std" => "enable",
						"type" => "select",
						"options" => $enable_disable);
						
	$of_options[] = array( "name" => __('Post: Crop Featured Images', 'wpex'),
						"desc" => __('Select to enable or disable the single posts featured image cropping function.', 'wpex'),
						"id" => "enable_disable_single_staff_image_crop",
						"std" => "enable",
						"type" => "select",
						"options" => $enable_disable);
						
	$of_options[] = array( "name" => __('Post: Featured Image Height', 'wpex'),
						"desc" => __('Enter a percentage to increase or decrease the image height by. <br />Example: 110% would increase the slider by 20%<br />Example: 20% would decrease the height by 80%.', 'wpex'),
						"id" => "staff_image_height",
						"std" => "100%",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Post: Related Items', 'wpex'),
						"desc" => __('Select to enable or disable the related items on staff posts (globally). ', 'wpex'),
						"id" => "enable_disable_staff_related_posts",
						"std" => "enable",
						"type" => "select",
						"options" => $enable_disable);
						
	$of_options[] = array( "name" => __('Post: Related Items Count', 'wpex'),
						"desc" => __('How many items do you wish to show for the related staff items section?', 'wpex'),
						"id" => "staff_related_count",
						"std" => "4",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Post: Related Items Style', 'wpex'),
						"desc" => __('Select your column layout for the related staff entries', 'wpex'),
						"id" => "staff_related_grid",
						"std" => "4 Column",
						"type" => "images",
						"options" => array(
							'2 Column' => $url . '2column.png',
							'3 Column' => $url . '3column.png',
							'4 Column' => $url . '4column.png',
							'5 Column' => $url . '5column.png',
							'6 Column' => $url . '6column.png')
						);
						
	$of_options[] = array( "name" => __('Post: Related Items Image Height', 'wpex'),
						"desc" => __('Enter a percentage to increase or decrease the image height by. <br />Example: 110% would increase the slider by 20%<br />Example: 20% would decrease the height by 80%.', 'wpex'),
						"id" => "staff_related_image_height",
						"std" => "100%",
						"type" => "text");
									
	$of_options[] = array( "name" => __('Blog', 'wpex'),
						"type" => "heading");
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "blog_entries_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Entries','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => __('Entry: Full Content', 'wpex'),
						"desc" => __('Select to enable the full content for entries. This means the entries for the blog posts will show the entire post content with a large featured image instead of the small image on the left and title, meta and excerpt on the right.', 'wpex'),
						"id" => "enable_full_blog",
						"std" => "disable",
						"type" => "select",
						"options" => $disable_enable);	
						
	$of_options[] = array( "name" => __('Entry: Excerpt Length', 'wpex'),
						"desc" => __('Add your own custom blog excerpt length. Used for blog page, archives and search results.', 'wpex'),
						"id" => "blog_excerpt",
						"std" => "23",
						"type" => "text");

	$of_options[] = array( "name" => __('Entry: Read More Button', 'wpex'),
						"desc" => __('Select to enable or disable the read more button on blog entries.', 'wpex'),
						"id" => "blog_read_more",
						"std" => "enable",
						"type" => "select",
						"options" => $enable_disable);
													
	$of_options[] = array( "name" => __('Entry: Featured Image Height', 'wpex'),
						"desc" => __('Enter a percentage to increase or decrease the image height by. <br />Example: 110% would increase the slider by 20%<br />Example: 20% would decrease the height by 80%.', 'wpex'),
						"id" => "entry_image_height",
						"std" => "100%",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Entry Overlay: Color', 'wpex'),
						"desc" => __('Select your overlay color when hovering blog entry featured images.', 'wpex'),
						"id" => "blog_overlay_color",
						"std" => "",
						"type" => "color");
						
	$of_options[] = array( "name" => __('Entry Overlay: Opacity', 'wpex'),
						"desc" => __('Enter your overlay opacity for your blog entry image hovers. Value from 0-1.', 'wpex'),
						"id" => "blog_overlay_opacity",
						"std" => "",
						"type" => "text");
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "blog_posts_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Posts','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => __('Post: Featured Images', 'wpex'),
						"desc" => __('Select to enable or disable the featured image on blog posts.', 'wpex'),
						"id" => "enable_disable_post_image",
						"std" => "enable",
						"type" => "select",
						"options" => $enable_disable);
						
	$of_options[] = array( "name" => __('Post: Crop Featured Images', 'wpex'),
						"desc" => __('Select to enable or disable the single posts featured image cropping function.', 'wpex'),
						"id" => "enable_disable_single_post_image_crop",
						"std" => "enable",
						"type" => "select",
						"options" => $enable_disable);
						
	$of_options[] = array( "name" => __('Post: Featured Image Height', 'wpex'),
						"desc" => __('Enter a percentage to increase or decrease the image height by. <br />Example: 110% would increase the slider by 20%<br />Example: 20% would decrease the height by 80%.', 'wpex'),
						"id" => "post_image_height",
						"std" => "100%",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Post: Meta', 'wpex'),
						"desc" => __('Select to enable or disable the meta box with the date and categories from the single blog posts.', 'wpex'),
						"id" => "enable_disable_single_meta",
						"std" => "enable",
						"type" => "select",
						"options" => $enable_disable);
						
	$of_options[] = array( "name" => __('Post: Tags', 'wpex'),
						"desc" => __('Select to enable or disable the tags section from the single blog posts.', 'wpex'),
						"id" => "enable_disable_single_tags",
						"std" => "enable",
						"type" => "select",
						"options" => $enable_disable);
						
						
	$of_options[] = array( "name" => __('Post: Author Bio', 'wpex'),
						"desc" => __('Select to enable or disable the author bio section from the single blog posts.', 'wpex'),
						"id" => "enable_disable_single_author_bio",
						"std" => "enable",
						"type" => "select",
						"options" => $enable_disable);
						
	$of_options[] = array( "name" => __('Post: Related Posts', 'wpex'),
						"desc" => __('Select to enable or disable the related posts from the single blog posts.', 'wpex'),
						"id" => "enable_disable_single_related_posts",
						"std" => "enable",
						"type" => "select",
						"options" => $enable_disable);
						
	$of_options[] = array( "name" => __('Post Types', 'wpex'),
					"type" => "heading");
					
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "types_heading",
						"std" => "<p style=\"margin: 0;\">".__('The following options are to edit the front-end post type options. Whenever you make a change to a post type name, make sure to refresh the page to see the changes. And whenever you make any permalink changes, make sure to re-save your permalink structure to avoid any 404 errors.','wpex')."</p>",
						"icon" => false,
						"type" => "info");
					
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "posttypes_portfolio_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Portfolio','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
					
	$of_options[] = array( "name" => __('Portfolio: Name', 'wpex'),
					"desc" => __('Enter a custom name for your portfolio post type.', 'wpex'),
					"id" => "portfolio_post_type_name",
					"std" => "Portfolio",
					"type" => "text");
					
	$of_options[] = array( "name" => __('Portfolio: Slug', 'wpex'),
						"desc" => __('Enter a custom slug for your portfolio post type. Go <strong>save your permalinks</strong> after changing this.', 'wpex'),
						"id" => "portfolio_post_type_slug",
						"std" => "portfolio",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Portfolio: Cateogory Slug', 'wpex'),
						"desc" => __('Enter a custom slug for your portfolio taxnomy. Go <strong>save your permalinks</strong> after changing this.', 'wpex'),
						"id" => "portfolio_tax_slug",
						"std" => "portfolio-category",
						"type" => "text");
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "posttypes_portfolio_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Staff','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => __('Staff: Name', 'wpex'),
						"desc" => __('Enter a custom name for your staff post type.', 'wpex'),
						"id" => "staff_post_type_name",
						"std" => "Staff",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Staff: Slug', 'wpex'),
						"desc" => __('Enter a custom slug for your staff post type. Go <strong>save your permalinks</strong> after changing this.', 'wpex'),
						"id" => "staff_post_type_slug",
						"std" => "staff",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Staff: Cateogory Slug', 'wpex'),
						"desc" => __('Enter a custom slug for your staff taxnomy. Go <strong>save your permalinks</strong> after changing this.', 'wpex'),
						"id" => "staff_tax_slug",
						"std" => "staff-department",
						"type" => "text");
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "posttypes_portfolio_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Services','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => __('Services: Name', 'wpex'),
						"desc" => __('Enter a custom name for your staff post type.', 'wpex'),
						"id" => "services_post_type_name",
						"std" => "Services",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Services: Slug', 'wpex'),
						"desc" => __('Enter a custom slug for your staff post type. Go <strong>save your permalinks</strong> after changing this.', 'wpex'),
						"id" => "services_post_type_slug",
						"std" => "services",
						"type" => "text"); 
						
	$of_options[] = array( "name" => __('Services: Cateogory Slug', 'wpex'),
						"desc" => __('Enter a custom slug for your services taxnomy. Go <strong>save your permalinks</strong> after changing this.', 'wpex'),
						"id" => "services_tax_slug",
						"std" => "service-category",
						"type" => "text");
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "posttypes_portfolio_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('FAQs','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => __('FAQs: Name', 'wpex'),
						"desc" => __('Enter a custom name for your staff post type.', 'wpex'),
						"id" => "faqs_post_type_name",
						"std" => "FAQs",
						"type" => "text");
						
	$of_options[] = array( "name" => __('FAQs: Slug', 'wpex'),
						"desc" => __('Enter a custom slug for your staff post type. Go <strong>save your permalinks</strong> after changing this.', 'wpex'),
						"id" => "faqs_post_type_slug",
						"std" => "faqs",
						"type" => "text"); 
						
	$of_options[] = array( "name" => __('FAQs: Cateogory Slug', 'wpex'),
						"desc" => __('Enter a custom slug for your faqs taxnomy. Go <strong>save your permalinks</strong> after changing this.', 'wpex'),
						"id" => "faqs_tax_slug",
						"std" => "faqs-category",
						"type" => "text");
	
	if(function_exists('wpex_get_social')) {
		
		$of_options[] = array( "name" => __('Social', 'wpex'),
						"type" => "heading");
						
		$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "social_main_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Main','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
										
		$of_options[] = array( "name" => __('Enable/Disable Social Icons', 'wpex'),
						"desc" => __('Select to enable or disable the social icons in the top bar.', 'wpex'),
						"id" => "enable_disable_social",
						"std" => "enable",
						"type" => "select",
						"options" => $enable_disable);
						
		$of_options[] = array( "name" => __('Social Alternative', 'wpex'),
						"desc" => __('If you have disabled the social bar above, you can use this area to add some custom HTML/Text instead.', 'wpex'),
						"id" => "social_alternative",
						"std" => "",
						"type" => "textarea");
		
		$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "social_options_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Your Profiles','wpex')."</h3>",
						"icon" => false,
						"type" => "info");				
						
		$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "social_heading",
						"std" => "<p style=\"margin: 0;\">".__('The following social options are used in the social bar on the top right of the site which is being called in header.php. Enter the FULL url to your profile or feed.','wpex')."</p>",
						"icon" => false,
						"type" => "info");
	
		$social_links = wpex_get_social();
		foreach($social_links as $social_link) {
			$of_options[] = array( "name" => ucfirst($social_link),
								"desc" => ' '. __('Enter your ','wpex') . $social_link . __(' url','wpex') .' <br />'. __('Include http:// at the front of the url.', 'wpex'),
								"id" => $social_link,
								"std" => "",
								"type" => "text");
		}
	}
        
	$of_options[] = array( "name" => __('Comments', 'wpex'),
							"type" => "heading");
							
	$of_options[] = array( "name" => __('Comment Message Note', 'wpex'),
						"desc" => __('This appears inside the comment area on modern browsers.', 'wpex'),
						"id" => "comment_notice",
						"std" => "say something nice...",
						"type" => "textarea");
						
	$of_options[] = array( "name" => __('Disable/Enable Comments On Blog Posts', 'wpex'),
						"desc" => __('Select to enable/disable comments on blog posts.', 'wpex'),
						"id" => "enable_disable_blog_comments",
						"std" => "enable",
						"type" => "select",
						"options" => $enable_disable);
															
	$of_options[] = array( "name" => __('Disable/Enable Comments On Pages', 'wpex'),
						"desc" => __('Select to enable/disable comments on regular pages.', 'wpex'),
						"id" => "enable_disable_page_comments",
						"std" => "disable",
						"type" => "select",
						"options" => $disable_enable);
						

	$of_options[] = array( "name" => __('Disable/Enable Comments On Portfolio Posts', 'wpex'),
						"desc" => __('Select to enable/disable comments on portfolio posts.', 'wpex'),
						"id" => "enable_disable_portfolio_comments",
						"std" => "enable",
						"type" => "select",
						"options" => $disable_enable);
	
	$of_options[] = array( "name" => __('Disable/Enable Comments On Staff Posts', 'wpex'),
						"desc" => __('Select to enable/disable comments on staff posts.', 'wpex'),
						"id" => "enable_disable_staff_comments",
						"std" => "disable",
						"type" => "select",
						"options" => $disable_enable);
						
	$of_options[] = array( "name" => __('Disable/Enable Comments On FAQs Posts', 'wpex'),
						"desc" => __('Select to enable/disable comments on faq posts.', 'wpex'),
						"id" => "enable_disable_faqs_comments",
						"std" => "enable",
						"type" => "select",
						"options" => $disable_enable);
						
	$of_options[] = array( "name" => __('Disable/Enable Comments On Service Posts', 'wpex'),
						"desc" => __('Select to enable/disable comments on service posts.', 'wpex'),
						"id" => "enable_disable_services_comments",
						"std" => "disable",
						"type" => "select",
						"options" => $disable_enable);
						
	$of_options[] = array( "name" => __('Lightbox', 'wpex'),
						"type" => "heading");
						
	$of_options[] = array( "name" => __('Lightbox: Enable/Disable', 'wpex'),
						"desc" => __('Select to enable or disable the prettyPhoto lightbox script on your site. Disabling prettyPhoto will result in any lightbox link opening directly in the browser.', 'wpex'),
						"id" => "lightbox_enable_disable",
						"std" => "enable",
						"type" => "select",
						"options" => $enable_disable);
						
	$of_options[] = array( "name" => __('Lightbox: Theme', 'wpex'),
						"desc" => __('Select your lightbox theme.', 'wpex'),
						"id" => "lightbox_theme",
						"std" => "pp_default",
						"type" => "select",
						"options" => $lightbox_themes);
						
	$of_options[] = array( "name" => __('Lightbox: Title', 'wpex'),
						"desc" => __('Show the title in the lightbox.', 'wpex'),
						"id" => "lightbox_title",
						"std" => "true",
						"type" => "select",
						"options" => $true_false);
						
	$of_options[] = array( "name" => __('Lightbox: Resize', 'wpex'),
						"desc" => __('Resize the photos bigger than viewport.', 'wpex'),
						"id" => "lightbox_resize",
						"std" => "true",
						"type" => "select",
						"options" => $true_false);
						
	$of_options[] = array( "name" => __('Lightbox: Slideshow Speed', 'wpex'),
						"desc" => __('Enter your speed in milliseconds for the lightbox galleries that showcause multiple items. You can enter "false" to disable the slideshow.', 'wpex'),
						"id" => "lightbox_slideshow",
						"std" => "5000",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Lightbox: Overlay Opacity', 'wpex'),
					"desc" => __('Enter your opacity value from 0-1.', 'wpex'),
					"id" => "lightbox_opacity",
					"std" => "0.8",
					"type" => "text");
					
	$of_options[] = array( "name" => __('Lightbox: Default Width', 'wpex'),
						"desc" => __('Enter your default height for the lightbox script. Used mainly for videos.', 'wpex'),
						"id" => "lightbox_width",
						"std" => "600",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Lightbox: Default Height', 'wpex'),
					"desc" => __('Enter your default height for the lightbox script. Used mainly for videos.', 'wpex'),
					"id" => "lightbox_height",
					"std" => "400",
					"type" => "text");
						
	$of_options[] = array( "name" => __('Translations', 'wpex'),
						"type" => "heading");
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "translation_main_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Main','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => __('Custom Responsive Navigation Text', 'wpex'),
					"desc" => __('Enter your custom text for the responsive navigation bar. Default is "Go to.."', 'wpex'),
					"id" => "responsive_nav_text",
					"std" => "Go to...",
					"type" => "text");
						
	$of_options[] = array( "name" => __('Related Items', 'wpex'),
						"desc" => __('Enter your translated text.', 'wpex'),
						"id" => "translation_related_items",
						"std" => "",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Related Staff', 'wpex'),
						"desc" => __('Enter your translated text.', 'wpex'),
						"id" => "translation_related_staff",
						"std" => "",
						"type" => "text");
	
	$of_options[] = array( "name" => __('Search Results For', 'wpex'),
						"desc" => __('Enter your translated text.', 'wpex'),
						"id" => "translation_search_results",
						"std" => "",
						"type" => "text");
						
	$of_options[] = array( "name" => __('No results found for that query', 'wpex'),
						"desc" => __('Enter your translated text.', 'wpex'),
						"id" => "translation_no_search_results",
						"std" => "",
						"type" => "text");	
										
	$of_options[] = array( "name" => __('404 Error Custom Text (Unfortunately, the page you tried accessing...)', 'wpex'),
						"desc" => __('Enter your custom text.', 'wpex'),
						"id" => "custom_404",
						"std" => "",
						"type" => "textarea");		
						
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "translation_blog_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Blog','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => __('Read More', 'wpex'),
						"desc" => __('Enter your translated text.', 'wpex'),
						"id" => "translation_read_more",
						"std" => "",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Tags', 'wpex'),
						"desc" => __('Enter your translated text.', 'wpex'),
						"id" => "translation_tags",
						"std" => "",
						"type" => "text");

	$of_options[] = array( "name" => __('Author Bio', 'wpex'),
						"desc" => __('Enter your translated text.', 'wpex'),
						"id" => "translation_author",
						"std" => "",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Related Articles', 'wpex'),
						"desc" => __('Enter your translated text.', 'wpex'),
						"id" => "translation_related_articles",
						"std" => "",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Post by', 'wpex'),
						"desc" => __('Enter your translated text.', 'wpex'),
						"id" => "translation_author_page_title",
						"std" => "",
						"type" => "text");
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "translation_comments_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Comments','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => __('Comments', 'wpex'),
						"desc" => __('Enter your translated text.', 'wpex'),
						"id" => "translation_comments",
						"std" => "",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Comments Disabled', 'wpex'),
						"desc" => __('Enter your translated text.', 'wpex'),
						"id" => "translation_comments_disabled",
						"std" => "",
						"type" => "text");

	$of_options[] = array( "name" => __('Leave a reply', 'wpex'),
						"desc" => __('Enter your translated text.', 'wpex'),
						"id" => "translation_leave_a_comment",
						"std" => "",
						"type" => "text");	
						
	$of_options[] = array( "name" => __('Name', 'wpex'),
						"desc" => __('Enter your translated text.', 'wpex'),
						"id" => "translation_comments_name",
						"std" => "",
						"type" => "text");	
						
	$of_options[] = array( "name" => __('Email', 'wpex'),
						"desc" => __('Enter your translated text.', 'wpex'),
						"id" => "translation_comments_email",
						"std" => "",
						"type" => "text");	
						
	$of_options[] = array( "name" => __('Website', 'wpex'),
						"desc" => __('Enter your translated text.', 'wpex'),
						"id" => "translation_comments_website",
						"std" => "",
						"type" => "text");	
																	
	$of_options[] = array( "name" => __('Comment Navigation', 'wpex'),
						"desc" => __('Enter your translated text.', 'wpex'),
						"id" => "translation_comments_navigation",
						"std" => "",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Older Comments', 'wpex'),
						"desc" => __('Enter your translated text.', 'wpex'),
						"id" => "translation_comments_older",
						"std" => "",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Newer Comments', 'wpex'),
						"desc" => __('Enter your translated text.', 'wpex'),
						"id" => "translation_comments_newer",
						"std" => "",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Reply To Comment', 'wpex'),
						"desc" => __('Enter your translated text.', 'wpex'),
						"id" => "translation_reply_to_coment",
						"std" => "",
						"type" => "text");	
						
	$of_options[] = array( "name" => __('Post Comment', 'wpex'),
						"desc" => __('Enter your translated text.', 'wpex'),
						"id" => "translation_post_comment",
						"std" => "",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Log In To Post Comment', 'wpex'),
						"desc" => __('Enter your translated text.', 'wpex'),
						"id" => "translation_log_in",
						"std" => "",
						"type" => "text");	
						
	$of_options[] = array( "name" => __('Footer', 'wpex'),
						"type" => "heading");
						
												
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "footer_callout_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Callout','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => __('Callout Text', 'wpex'),
						"desc" => __('Enter your text for the footer callout region.', 'wpex'),
						"id" => "footer_callout_text",
						"std" => __('Edit your tagline in the Theme Panel "Footer" tab.','wpex'),
						"type" => "text");
						
	$of_options[] = array( "name" => __('Callout Button Text', 'wpex'),
						"desc" => __('Enter your text for your footer callout button.', 'wpex'),
						"id" => "footer_callout_btn_txt",
						"std" => __('Buy Now','wpex'),
						"type" => "text");
						
	$of_options[] = array( "name" => __('Callout Button Link', 'wpex'),
						"desc" => __('Enter your link for your footer callout button. Don\'t forget the http://', 'wpex'),
						"id" => "footer_callout_btn_link",
						"std" => __('http://themeforest.net','wpex'),
						"type" => "text");
						
	$of_options[] = array( "name" => __('Callout Button Link Target', 'wpex'),
						"desc" => __('Select your callout button link target.', 'wpex'),
						"id" => "footer_callout_btn_link_target",
						"std" => "_self",
						"type" => "select",
						"options" => $link_target);
						
	$of_options[] = array( "name" => __('Callout Button Color', 'wpex'),
						"desc" => __('Select your callout button color.', 'wpex'),
						"id" => "footer_callout_btn_color",
						"std" => "orange",
						"type" => "select",
						"options" => $btn_colors);
						
	if(function_exists('wpex_get_awesome_icons')) {
		
		$font_icons = wpex_get_awesome_icons();
		$of_options[] = array( "name" =>  __('Callout Button Icon', 'wpex'),
							"desc" => __('Select yoru callout button icon.', 'wpex'),
							"id" => 'footer_callout_btn_icon',
							"std" => "Select",
							"type" => "select",
							"options" => $font_icons);
	}
	
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "footer_widgetized_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Widgetized Footer','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => __('Enable/Disable Widgetized Footer', 'wpex'),
						"desc" => __('Select to enable or disable the widgetized footer.', 'wpex'),
						"id" => "disable_widgetized_footer",
						"std" => "enable",
						"type" => "select",
						"options" => $enable_disable);
						
	$of_options[] = array( "name" => __('Footer Layout', 'wpex'),
						"desc" => __('Select your footer layout.', 'wpex'),
						"id" => "footer_layout",
						"std" => "3 Column",
						"type" => "images",
						"options" => array(
							'1 Column' => $url . '1column.png',
							'2 Column' => $url . '2column.png',
							'3 Column' => $url . '3column.png',
							'4 Column' => $url . '4column.png')
						);
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "footer_bottom_heading",
						"std" => "<h3 style=\"margin: 0;\">".__('Footer Bottom','wpex')."</h3>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => __('Custom Copyright', 'wpex'),
						"desc" => __('Add your own custom text/html for copyright region.', 'wpex'),
						"id" => "custom_copyright",
						"std" => "",
						"type" => "textarea");
						
	$of_options[] = array( "name" => __('Tracking', 'wpex'),
						"type" => "heading");
						
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "tracking_heading",
						"std" => "<p style=\"margin: 0;\">".__('You can use these fields for adding code to your header and footer regions. When adding tracking such as Google Analytics, be sure to enter the full code and not just your account ID.','wpex')."</p>",
						"icon" => false,
						"type" => "info");
						
	$of_options[] = array( "name" => __('Tracking Code (Header)', 'wpex'),
						"desc" => __('Paste your Google Analytics (or other) tracking code here. This will be added into the header template of your theme.', 'wpex'),
						"id" => "tracking_header",
						"std" => "",
						"type" => "textarea");    
						
	$of_options[] = array( "name" => __('Tracking Code (Footer)', 'wpex'),
						"desc" => __('Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.', 'wpex'),
						"id" => "tracking_footer",
						"std" => "",
						"type" => "textarea");
						
	$of_options[] = array( "name" => __('Advanced', 'wpex'),
					"type" => "heading");
					
	$of_options[] = array(
						"name" => "",
						"desc" => "",
						"id" => "advanced_warning",
						"std" => "<p style=\"margin: 0;\">".__('Here you will find some advanced options for the theme. Please be careful while using these.','wpex')."</p>",
						"icon" => false,
						"type" => "info");
					
	$of_options[] = array( "name" => __('WPAUTOP Filter', 'wpex'),
					"desc" => __('Some plugins break when wpautop is enabled. I use it to clean up shortcodes a bit, but if you find a plugin not working you might want to try disabling this setting to test.', 'wpex'),
						"id" => "enable_disable_wpautop",
						"std" => "enable",
						"type" => "select",
						"options" => $enable_disable);
						
	// Backup Options
	$of_options[] = array( "name" => __('Backup', 'wpex'),
						"type" => "heading");
						
	$of_options[] = array( "name" => __('Backup and Restore Options', 'wpex'),
						"id" => "of_backup",
						"std" => "",
						"type" => "backup",
						"desc" => __('You can use the two buttons below to backup your current options, and then restore it back at a later time.<br /><br />This is useful if you want to experiment on the options but would like to keep the old settings in case you need it back.', 'wpex'),
						);
						
	$of_options[] = array( "name" => __('Transfer Theme Options Data', 'wpex'),
						"id" => "of_transfer",
						"std" => "",
						"type" => "transfer",
						"desc" => __('You can tranfer the saved options data between different installs by copying the text inside the text box. To import data from another install, replace the data in the text box with the one from another install and click "Import Options.', 'wpex')
						);
											
		}
}
?>
