<?php
/**
* Register Our Meta Boxes
*/
 
$awesome_icons = wpex_get_awesome_icons();

$prefix = 'wpex_';
$wpex_meta_boxes = array();

// meta box ===> Portfolio Entry Options
$wpex_meta_boxes[] = array(
	'id' => 'wpex_portfolio_entry_meta',
	'title' => __('Entry Options','wpex'),
	'pages' => array('portfolio'),

	'fields' => array(
		array(
            'name' => __('Entry: Style', 'wpex'),
            'id' => $prefix . 'portfolio_entry_style',
			'desc' => __('Select the entry style for this post.', 'wpex'),
			'default' => 'default',
            'type' => 'select',
            'options' => array(
				'default' => 'default',
				'lightbox' => 'lightbox',
				'custom_url' => 'url',
			),
        ),
		array(
            'name' => __('Entry: Lightbox URL','wpex'),
            'desc' => __('If you selected the lighbox style above enter the url to your image, video or whatever you wish to open in lightbox. See <a href="http://www.no-margin-for-errors.com/projects/prettyphoto-jquery-lightbox-clone/" target="_blank">prettyPhoto</a> to learn more.','wpex'),
            'id' => $prefix . 'portfolio_entry_lightbox',
            'type' => 'text',
            'std' => ''
        ),
		array(
            'name' => __('Entry: Custom URL','wpex'),
            'desc' => __('If you selected the custom url style above enter your custom URL here.','wpex'),
            'id' => $prefix . 'portfolio_entry_custom_url',
            'type' => 'text',
            'std' => ''
        ),
		array(
            'name' => __('Entry: Custom URL Target','wpex'),
            'desc' => __('If you selected the custom url style above select your link targer.','wpex'),
            'id' => $prefix . 'portfolio_entry_custom_url_target',
            'type' => 'select',
			'default' => 'self',
            'options' => array(
				'self' => 'self',
				'blank' => 'blank'
			),
        )
	)
);

// meta box ===> Portfolio Post Options
$wpex_meta_boxes[] = array(
	'id' => 'wpex_portfolio_meta',
	'title' => __('Post Options','wpex'),
	'pages' => array('portfolio'),

	'fields' => array(
		array(
            'name' => __('Post: Style', 'wpex'),
            'id' => $prefix . 'portfolio_post_style',
			'desc' => __('Select the entry style for this post.', 'wpex'),
			'default' => 'default',
            'type' => 'select',
            'options' => array(
				'default' => 'default',
				'full' => 'full'
			),
        ),
		array(
            'name' => __('Post: Featured Image', 'wpex'),
            'id' => $prefix . 'portfolio_featured_image',
			'desc' => __('Select enable to show only your featured image and not a slider.', 'wpex'),
			'default' => 'enable',
            'type' => 'select',
            'options' => array(
				'enable' => 'enable',
				'disable' => 'disable'
			),
        ),
	array(
            'name' => __('Post: Slider', 'wpex'),
            'id' => $prefix . 'portfolio_slider_image',
			'desc' => __('Select disable if you wish to disable the slider function on this post. Setup your slider below.', 'wpex'),
			'default' => 'enable',
            'type' => 'select',
            'options' => array(
				'enable' => 'enable',
				'disable' => 'disable'
			),
        ),
		array(
            'name' => __('Post: Related Items', 'wpex'),
            'id' => $prefix . 'portfolio_related_posts',
			'desc' => __('Select to enable or disable the related posts region.', 'wpex'),
            'type' => 'select',
            'options' => array(
				'enable' => 'enable',
				'disable' => 'disable'
			)
        ),
		array(
            'name' => __('Post: Disable Meta', 'wpex'),
            'id' => $prefix . 'portfolio_meta',
			'desc' => __('Select to enable or disable the porfolio meta area (date/category/etc).', 'wpex'),
            'type' => 'select',
            'options' => array(
				'enable' => 'enable',
				'disable' => 'disable'
			)
        ),
	)
);

// meta box ===> Image Slides
$wpex_meta_boxes[] = array(
	'id' => 'wpex_slides_meta',
	'title' => __('Slides','wpex'),
	'pages' => array('slides', 'portfolio'),
	'fields' => array(
        array( 
        		'name' => __('Slides','wpex'),
        		'desc' => __('Upload as many slides you want on this page, then drag and drop to arrange them.','wpex'),
        		'id' => $prefix.'slides',
        		'type' => 'slider',
        		'std' => array (
        			1 => array (
        				'title' => 'Slide 1',
        				'image' => '',
        				'link' => '',
        				'desc' => ''
        			),
        		),
        ),
	)
);

// meta box ===> Slider Settings
$wpex_meta_boxes[] = array(
	'id' => 'wpex_flexslider_meta',
	'title' => __('Slider Settings','wpex'),
	'pages' => array('slides', 'portfolio'),
	'fields' => array(
		array(
			'name' => __('Animation','wpex'),
			'desc' => __('Select your animation.','wpex'),
			'id' => $prefix . 'slider_animation',
			'type' => 'select',
			'std' => 'fade',
			'options' => array(
				'fade' => 'fade',
				'slide' => 'slide'
				)
        	),
		array(
			'name' => __('Auto transition','wpex'),
			'desc' => __('Select true if you want the slider to start the auto transition automatically.','wpex'),
			'id' => $prefix . 'slider_transition',
			'type' => 'select',
			'std' => 'true',
			'options' => array(
				'true' => 'true',
				'false' => 'false'
				)
        	),
		array(
			'name' => __('Direction Navigation','wpex'),
			'desc' => __('Select true to enable the next/previous arrows.','wpex'),
			'id' => $prefix . 'slider_direction_nav',
			'type' => 'select',
			'std' => 'true',
			'options' => array(
				'true' => 'true',
				'false' => 'false'
				)
        	),	
		array(
			'name' => __('Control Navigation','wpex'),
			'desc' => __('Select true to enable the control navigation..','wpex'),
			'id' => $prefix . 'slider_control_nav',
			'type' => 'select',
			'std' => 'false',
			'options' => array(
				'false' => 'false',
				'true' => 'true'
				)
        	),
		array(
			'name' => __('Smooth Height Transition','wpex'),
			'desc' => __('Select true to enable the smooth transition between slides of different heights. This new setting in FlexSlider 2 is a bit buggy so it\'s set to false by default.','wpex'),
			'id' => $prefix . 'smooth_height',
			'type' => 'select',
			'std' => 'false',
			'options' => array(
				'false' => 'false',
				'true' => 'true',
				)
        	),
		array(
            'name' => __('Slideshow Speed','wpex'),
            'desc' => __('Integer: Set the speed of the slideshow cycling, in milliseconds. Do NOT leave blank.','wpex'),
            'id' => $prefix . 'slider_speed',
            'type' => 'text',
            'std' => '7000'
        ),
		array(
            'name' => __('Animation Duration','wpex'),
            'desc' => __('Integer: Set the speed of animations, in milliseconds. Do NOT leave blank.','wpex'),
            'id' => $prefix . 'slider_animation_duration',
            'type' => 'text',
            'std' => '600'
        ),
	)
);

// meta box ===> Image Slides Usage
$wpex_meta_boxes[] = array(
	'id' => 'wpex_slides_shortcode',
	'title' => __('Slider Shortcode','wpex'),
	'pages' => array('slides'),
	'priority' => 'low',
	'context' => 'side',

	'fields' => array(
		array(
            'name' => __('Slider Shortcode','wpex'),
			'desc' => '',
			'id' => '',
            'type' => 'slider_shortcode',
        ),
	)
);


// meta box ===> Background Image
$wpex_meta_boxes[] = array(
	'id' => 'wpex_background_meta',
	'title' => __('Body Background','wpex'),
	'pages' => array('page', 'post', 'portfolio', 'staff'),
	'priority' => 'low',
	'context' => 'side',

	'fields' => array(
	array(
            'name' => __('Image URL','wpex'),
            'desc' => '',
            'id' => $prefix . 'single_custom_bg_url',
            'type' => 'text',
            'std' => ''
        ),
	array(
            'name' => __('Style', 'wpex'),
			'desc' => '',
            'id' => $prefix . 'single_custom_bg_style',
            'type' => 'select',
            'options' => array(
				'full' => 'full',
				'repeat' => 'repeat',
				'repeat-x' => 'repeat-x',
				'repeat-y' => 'repeat-y'
			),
        ),
	array(
		    'name' => __('Color', 'wpex'),
		    'id' => $prefix . 'single_custom_bg_color',
		    'type' => 'color',
		    'desc' => ""
		),
	)
);


// meta box ===> Services
$wpex_meta_boxes[] = array(
	'id' => 'wpex_slides_shortcode',
	'title' => __('Service Icon','wpex'),
	'pages' => array('services'),
	'fields' => array(
        array(
		    'name' => __('Icon', 'wpex'),
		    'id' => $prefix . 'services_icon',
		    'type' => 'select',
		    'options' => $awesome_icons,
		    'desc' => __('Select your service icon option.<br/ > See <a href="http://fortawesome.github.com/Font-Awesome/">Font Awesome</a> for previews.', 'wpex')
		),
	)
);

// meta box ===> HP Highlights
$wpex_meta_boxes[] = array(
	'id' => 'wpex_highlights_meta',
	'title' => __('HP Highlights Options','wpex'),
	'pages' => array('hp_highlights'),

	'fields' => array(
		array(
            'name' => __('URL','wpex'),
            'desc' => __('Enter a URL to link the title of this highlight to. Optional.','wpex'),
            'id' => $prefix . 'hp_highlights_url',
            'type' => 'text',
            'std' => ''
        ),
		array(
            'name' => __('URL Taget', 'wpex'),
			'desc' => __('Select your desired target for the highlight link.', 'wpex'),
            'id' => $prefix . 'hp_highlights_url_target',
            'type' => 'select',
            'options' => array(
				'self' => 'self',
				'blank' => 'blank'
			),
        ),
        array(
		    'name' => __('Icon', 'wpex'),
		    'id' => $prefix . 'hp_highlights_icon',
		    'type' => 'select',
		    'options' => $awesome_icons,
		    'desc' => __('Select your highlight icon option.<br/ > See <a href="http://fortawesome.github.com/Font-Awesome/">Font Awesome</a> for previews.', 'wpex')
		),
		array(
		    'name' => __('Icon Color', 'wpex'),
		    'id' => $prefix . 'hp_highlights_icon_color',
		    'type' => 'color',
		    'desc' => __('Enter your color hex value for your icon. Example: #000', 'wpex')
		),
		array(
            'name' => __('Icon Size','wpex'),
            'desc' => __('Enter a size for your icon. Example: 64px.','wpex'),
            'id' => $prefix . 'hp_highlights_icon_size',
            'type' => 'text',
            'std' => ''
        )
	)
);

// meta box ===> FAQ
$wpex_meta_boxes[] = array(
    'id' => 'wpex_faqs_meta',
    'title' => __('FAQ Options','wpex'),
    'pages' => array('faqs'),

    'fields' => array(
        array(
            'name' => __('FAQ Question Icon', 'wpex'),
            'id' => $prefix . 'faqs_icon',
            'type' => 'select',
            'options' => $awesome_icons,
            'multiple' => false,
            'std' => array('icon-question-sign'),
            'desc' => __('This allows you to change the icon in front of FAQ titles.', 'wpex')
        )
    )
);

// meta box ===> Staff
$wpex_meta_boxes[] = array(
    'id' => 'wpex_staff_meta',
    'title' => __('Staff Options','wpex'),
    'pages' => array('staff'),
	
	'fields' => array(
		array(
            'name' => __('Staff Position','wpex'),
            'desc' => __('Enter your staff member position here.','wpex'),
            'id' => $prefix . 'staff_position',
            'type' => 'text',
            'std' => ''
        ),
		array(
            'name' => __('Post: Related Items', 'wpex'),
            'id' => $prefix . 'staff_related_posts',
			'desc' => __('Select to enable or disable the related posts region.', 'wpex'),
            'type' => 'select',
            'options' => array(
				'enable' => 'enable',
				'disable' => 'disable'
			)
        ),
	)
);

// meta box ===> Post Options
$wpex_meta_boxes[] = array(
	'id' => 'wpex_post_meta',
	'title' => __('Post Options','wpex'),
	'pages' => array('post'),
	'fields' => array(
		array(
            'name' => __('Featured Image', 'wpex'),
            'id' => $prefix . 'single_featured_image',
			'desc' => __('Select to enable or disable your featured image', 'wpex'),
            'type' => 'select',
            'options' => array(
				'enable' => 'enable',
				'disable' => 'disable'
			),
        ),
		array(
            'name' => __('Tags', 'wpex'),
            'id' => $prefix . 'single_tags',
            'type' => 'select',
            'options' => array(
				'enable' => 'enable',
				'disable' => 'disable'
			),
            'desc' => __('Select to enable or disable the tags region.', 'wpex'),
        ),
		array(
            'name' => __('Author Bio', 'wpex'),
            'id' => $prefix . 'single_author_bio',
            'type' => 'select',
            'options' => array(
				'enable' => 'enable',
				'disable' => 'disable'
			),
            'desc' => __('Select to enable or disable the author bio region.', 'wpex'),
        ),
		array(
            'name' => __('Related Posts', 'wpex'),
            'id' => $prefix . 'single_related_posts',
			'desc' => __('Select to enable or disable the related posts region.', 'wpex'),
            'type' => 'select',
            'options' => array(
				'enable' => 'enable',
				'disable' => 'disable'
			)
        ),
	)
);

// meta box ===> Page Options
$wpex_meta_boxes[] = array(
	'id' => 'wpex_meta_templates',
	'title' => __('Template Options','wpex'),
	'pages' => array('page'),
	'fields' => array(
		array(
			'name' => __('Slider', 'wpex'),
			'desc' => __('Select a slider if you want one at the top of this page full-screen.','wpex'),
			'id' => $prefix . 'page_slider',
			'type' => 'slides',
		),
		array(
			'name' => __('Blog Category', 'wpex'),
			'id' => $prefix . 'blog_parent',
			'type' => 'taxonomy',
			'taxonomy' => 'category',
			'desc' => __('Select a category for this blog page.','wpex')
		),
		array(
			'name' => __('Portfolio Category', 'wpex'),
			'id' => $prefix . 'portfolio_parent',
			'type' => 'portfolio_cat',
			'type' => 'taxonomy',
			'taxonomy' => 'portfolio_cats',
			'desc' => __('Select a category for this portfolio page.','wpex')
		),
		array(
			'name' => __('Service Category', 'wpex'),
			'id' => $prefix . 'services_parent',
			'type' => 'service_cat',
			'type' => 'taxonomy',
			'taxonomy' => 'services_cats',
			'desc' => __('Select a category for service blog page.','wpex')
		),
		array(
			'name' => __('FAQs Category', 'wpex'),
			'id' => $prefix . 'faqs_parent',
			'type' => 'taxonomy',
			'taxonomy' => 'faqs_cats',
			'desc' => __('Select a category for this faqs page.','wpex')
		),
		array(
			'name' => __('Staff Category', 'wpex'),
			'id' => $prefix . 'staff_parent',
			'type' => 'taxonomy',
			'taxonomy' => 'staff_cats',
			'desc' => __('Select a category for this staff page.','wpex')
		),
		array(
            'name' => __('Grid Style', 'wpex'),
            'id' => $prefix . 'grid_style',
            'type' => 'select',
			'desc' => __('Select the grid style for this template.<br />(portfolio & staff pages only)', 'wpex'),
            'options' => array(
				'2 Column' => '2 Column',
				'3 Column' => '3 Column',
				'4 Column' => '4 Column',
				'5 Column' => '5 Column',
				'6 Column' => '6 Column'
			),
			'std' => '2 Column'
        ),
		array(
            'name' => __('Grid Image Height','wpex'),
            'desc' => __('Enter a percentage to increase or decrease the image height by. <br />Example: 120% would increase the slider by 20%<br />Example: 20% would decrease the height by 80%.','wpex'),
            'id' => $prefix . 'grid_image_height',
            'type' => 'text',
            'std' => '100%'
        ),
		array(
            'name' => __('Posts Per Page','wpex'),
            'desc' => __('Enter how many posts you want to show per page. Note: filterable pages, services & FAQ\'s don\'t include pagination.','wpex'),
            'id' => $prefix . 'template_posts_per_page',
            'type' => 'text',
            'std' => '-1'
        ),
		array(
            'name' => __('Callout Area', 'wpex'),
            'id' => $prefix . 'enable_disable_callout',
			'desc' => __('Select to enable or disable the callout region above the footer. Ideal for pages like your sitemap, contact page, etc.', 'wpex'),
            'type' => 'select',
            'options' => array(
				'enable' => 'enable',
				'disable' => 'disable'
			)
        ),
	)
);

foreach ($wpex_meta_boxes as $meta_box) {
	new wpex_meta_box($meta_box);
}
?>