<?php
/*--------------------------------------*/
/*	Post Types
/*  Slides, Home Highlights, Portfolio
/*  Staff, Services, FAQs
/*--------------------------------------*/
add_action( 'init', 'wpex_create_post_types' );
function wpex_create_post_types() {
	
	global $data; //get theme options for use in setting post type labels & permalinks


	/** slider post type **/
	register_post_type( 'Slides', //careful editing the post type name you could lose your valuable content!
		array(
		  'labels' => array(
			'name' => __( 'Slider', 'wpex' ),
			'singular_name' => __( 'Slider', 'wpex' ),		
			'add_new' => _x( 'Add New', 'Slider', 'wpex' ),
			'add_new_item' => __( 'Add New Slider', 'wpex' ),
			'edit_item' => __( 'Edit Slider', 'wpex' ),
			'new_item' => __( 'New Slider', 'wpex' ),
			'view_item' => __( 'View Slider', 'wpex' ),
			'search_items' => __( 'Search Sliders', 'wpex' ),
			'not_found' =>  __( 'No Sliders found', 'wpex' ),
			'not_found_in_trash' => __( 'No Sliders found in Trash', 'wpex' ),
			'parent_item_colon' => ''
			
		  ),
		  'public' => true,
		  'supports' => array('title', 'revisions'),
		  'query_var' => true,
		  'rewrite' => array( 'slug' => 'slides' ),
		  'show_in_nav_menus' => false,
		  'exclude_from_search' => true,
		  'menu_icon' => get_template_directory_uri() . '/images/admin/slides.png',
		)
	  );
	  
	  
	/**  hp highlights **/
	register_post_type( 'hp_highlights', //careful editing the post type name you could lose your valuable content!
		array(
		  'labels' => array(
			'name' => __( 'Highlights', 'wpex' ),
			'singular_name' => __( 'Highlight', 'wpex' ),		
			'add_new' => _x( 'Add New', 'Highlight', 'wpex' ),
			'add_new_item' => __( 'Add New Highlight', 'wpex' ),
			'edit_item' => __( 'Edit Highlight', 'wpex' ),
			'new_item' => __( 'New Highlight', 'wpex' ),
			'view_item' => __( 'View Highlight', 'wpex' ),
			'search_items' => __( 'Search Highlights', 'wpex' ),
			'not_found' =>  __( 'No Highlights found', 'wpex' ),
			'not_found_in_trash' => __( 'No Highlights found in Trash', 'wpex' ),
			'parent_item_colon' => ''
			
		  ),
		  'public' => true,
		  'supports' => array('title','editor','revisions'),
		  'query_var' => true,
		  'rewrite' => array( 'slug' => 'hp-highlights' ),
		  'show_in_nav_menus' => false,
		  'exclude_from_search' => true,
		  'menu_icon' => get_template_directory_uri() . '/images/admin/highlights.png',
		)
	  );



	/** portfolio post type **/
	
	//portfolio name
	($data['portfolio_post_type_name']) ? $portfolio_post_type_name = $data['portfolio_post_type_name'] : $portfolio_post_type_name = 'Portfolio';
	
	//portfolio slug
	($data['portfolio_post_type_slug']) ? $portfolio_slug = $data['portfolio_post_type_slug'] : $portfolio_slug = 'portfolio';
	
	//portfolio labels
	$portfolio_labels = array( 'name' => $portfolio_post_type_name );
	
	//register portfolio post type
	register_post_type( 'portfolio', //careful editing the post type name you could lose your valuable content!
		array(
		  'labels' => apply_filters('wpex_portfolio_labels', $portfolio_labels),
		  'public' => true,
		  'supports' => array('title','editor','thumbnail','excerpt','revisions','comments'),
		  'query_var' => true,
		  'rewrite' => array( 'slug' => $portfolio_slug ),
		   'menu_icon' => get_template_directory_uri() . '/images/admin/portfolio.png',
		)
	);
	
	
  
	/** Staff Post Type **/
	
	//staff name
	($data['staff_post_type_name']) ? $staff_post_type_name = $data['staff_post_type_name'] : $staff_post_type_name = 'Staff';
	
	//staff slug
	($data['staff_post_type_slug']) ? $staff_slug = $data['staff_post_type_slug'] : $staff_slug = 'staff';
	
	//staff labels
	$staff_labels = array( 'name' => $staff_post_type_name );
	
	//register staff post type
	register_post_type( 'staff', //careful editing the post type name you could lose your valuable content!
		array(
		  'labels' => apply_filters('wpex_portfolio_labels', $staff_labels),
		  'public' => true,
		  'supports' => array('title', 'thumbnail', 'editor', 'revisions', 'comments', 'excerpt'),
		  'query_var' => true,
		  'rewrite' => array( 'slug' => $staff_slug ),
		  'menu_icon' => get_template_directory_uri() . '/images/admin/staff.png',
		)
	);
	  
	  
	/** Services Post Type **/
	
	//services name
	($data['services_post_type_name']) ? $services_post_type_name = $data['services_post_type_name'] : $services_post_type_name = 'Services';
	
	//services slug
	($data['services_post_type_slug']) ? $services_slug = $data['services_post_type_slug'] : $services_slug = 'services';
	
	//services labels
	$services_labels = array( 'name' => $services_post_type_name );
	
	//register services post type
	register_post_type( 'services', //careful editing the post type name you could lose your valuable content!
		array(
		  'labels' => apply_filters('wpex_portfolio_labels', $services_labels),
		  'public' => true,
		  'supports' => array('title','editor','revisions','thumbnail','comments'),
		  'query_var' => true,
		  'rewrite' => array( 'slug' => $services_slug ),
		  'menu_icon' => get_template_directory_uri() . '/images/admin/services.png',
		)
	);
	
	
	/** Faqs **/
	
	//faqs name
	($data['faqs_post_type_name']) ? $faqs_post_type_name = $data['faqs_post_type_name'] : $faqs_post_type_name = 'faqs';
	
	//faqs slug
	($data['faqs_post_type_slug']) ? $faqs_slug = $data['faqs_post_type_slug'] : $faqs_slug = 'faqs';
	
	//faqs labels
	$faqs_labels = array( 'name' => $faqs_post_type_name );
	
	//register faqs post type
	register_post_type( 'faqs', //careful editing the post type name you could lose your valuable content!
		array(
		  'labels' => apply_filters('wpex_portfolio_labels', $faqs_labels),
		  'public' => true,
		  'supports' => array('title','editor', 'revisions','comments'),
		  'query_var' => true,
		  'rewrite' => array( 'slug' => $faqs_slug ),
		  'menu_icon' => get_template_directory_uri() . '/images/admin/faqs.png',
		)
	);

}
?>