<?php
/**
 * Load css and jquery for current theme
*/

//hook function
add_action('wp_enqueue_scripts','theme_specific_scripts');

//start function
function theme_specific_scripts() {
	
	global $data; //get theme options


	/* jQuery */

	//services
	if(is_page_template('template-services.php') || is_tax('services_cats')) {
		wp_enqueue_script('servicesinit', WPEX_JS_DIR .'/services.js', array('jquery'), '2.0', true);
	}

	//portfolio main
	if(is_page_template('template-portfolio-with-filter.php') || is_page_template('template-portfolio-filter-sidebar.php')) {
		wp_enqueue_script('quicksand', WPEX_JS_DIR .'/quicksand.js', array('jquery','easing'), '1.2.2', true);
		wp_enqueue_script('quicksand-portfolio', WPEX_JS_DIR .'/quicksand_portfolio.js', array('jquery','easing','quicksand'), '1.0', true);
	}
	
	//portfolio single
	if(get_post_type() == 'portfolio') {
		wp_enqueue_script('single-portfolio', WPEX_JS_DIR .'/single_portfolio.js', array('jquery'), '1.0', true);
	}
	
	//faqs
	if(is_page_template('template-faqs.php') || is_tax('faqs_cats')) {
		wp_enqueue_script('toggle-faqs', WPEX_JS_DIR .'/toggle_faqs.js', array('jquery','easing'), '1.0', true);
	}
	
	//lightbox
	if($data['lightbox_enable_disable'] !='disable') {
		
		wp_enqueue_script('prettyphoto', WPEX_JS_DIR .'/prettyphoto.js', array('jquery'), '3.1.4', true);
		wp_enqueue_style('prettyphoto', WPEX_CSS_DIR . '/prettyphoto.css', 'style', true);
		
		
		//localize lightbox
		$lightbox_params = array(
			'theme' => $data['lightbox_theme'],
			'title' => $data['lightbox_title'],
			'resize' => $data['lightbox_resize'],
			'slideshow' => $data['lightbox_slideshow'],
			'opacity' => $data['lightbox_opacity'],
			'width' => $data['lightbox_width'],
			'height' => $data['lightbox_height']
		);
		wp_localize_script( 'prettyphoto', 'lightboxLocalize', $lightbox_params );
	
	} //else prettyphoto disabled
	

	//responsive
	if($data['disable_responsive'] !='disable') {
		wp_enqueue_script('fitvids', WPEX_JS_DIR .'/fitvids.js', array('jquery'), 1.0, true);
		wp_enqueue_script('uniform', WPEX_JS_DIR .'/uniform.js', array('jquery'), '1.7.5', true);
		wp_enqueue_script('wpex-responsive', WPEX_JS_DIR .'/responsive.js', array('jquery'), '', true);
	}
	
	//localize responsive nav
	$nav_params = array(
		'text' => $data['responsive_nav_text'],
	);
	wp_localize_script( 'wpex-responsive', 'responsiveLocalize', $nav_params );
	
	
	//initialize
	wp_enqueue_script('initialize', WPEX_JS_DIR .'/initialize.js', false, '1.0', true);



	/* CSS */
	
	//responsive
	if($data['disable_responsive'] !='disable') {
		wp_enqueue_style('responsive', WPEX_CSS_DIR . '/responsive.css', 'style', true);
	}
	
	//color scheme
	$color_scheme = $data['color_scheme']; //get admin option
	if($color_scheme !='black'){
		//load color scheme if not set to the default black color
		wp_enqueue_style('wpex-color-skin', WPEX_CSS_DIR . '/skins/'.$color_scheme.'.css', 'style', true);
	}
	
	//font awesome
	if($data['enable_icon_fonts'] !='disable'){
		wp_enqueue_style('awesome-font', WPEX_CSS_DIR . '/awesome_font.css', 'style');
	}
	
	
} //end theme_specific_scripts()
?>