<?php
/*--------------------------------------*/
/*	Taxonomies
/*--------------------------------------*/
add_action( 'init', 'wpex_create_taxonomies' );

//create taxonomies
function wpex_create_taxonomies() {
	
	
	global $data; //get theme options for use in setting post type labels & permalinks
	
	
	// global taxonomy labels
	$wpex_tax_labels = array(
		'name' => __( 'Categories', 'wpex' ),
		'singular_name' => __( 'Category', 'wpex' ),
		'search_items' =>  __( 'Search Categories', 'wpex' ),
		'all_items' => __( 'All Categories', 'wpex' ),
		'parent_item' => __( 'Parent Category', 'wpex' ),
		'parent_item_colon' => __( 'Parent Category:', 'wpex' ),
		'edit_item' => __( 'Edit  Category', 'wpex' ),
		'update_item' => __( 'Update Category', 'wpex' ),
		'add_new_item' => __( 'Add New  Category', 'wpex' ),
		'new_item_name' => __( 'New Category Name', 'wpex' ),
		'choose_from_most_used'	=> __( 'Choose from the most used categories', 'wpex' )
	);
	
	
	// Portfolio taxonomies
	$portfolio_tax_slug = ($data['portfolio_tax_slug']) ? $data['portfolio_tax_slug'] : 'portfolio-category';
	register_taxonomy('portfolio_cats','portfolio',array(
		'hierarchical' => true,
		'labels' => apply_filters('wpex_portfolio_tax_labels', $wpex_tax_labels),
		'query_var' => true,
		'rewrite' => array( 'slug' => $portfolio_tax_slug ),
	));
	
	
	// FAQ taxonomies
	$faqs_tax_slug = ($data['faqs_tax_slug']) ? $data['faqs_tax_slug'] : 'faqs-category';
	register_taxonomy('faqs_cats','faqs',array(
		'hierarchical' => true,
		'labels' => apply_filters('wpex_faqs_tax_labels', $wpex_tax_labels),
		'query_var' => true,
		'rewrite' => array( 'slug' => $faqs_tax_slug ),
	));
	
	// staff taxonomies
	$staff_tax_slug = ($data['staff_tax_slug']) ? $data['staff_tax_slug'] : 'staff-category';
	register_taxonomy('staff_cats','staff',array(
		'hierarchical' => true,
		'labels' => apply_filters('wpex_staff_tax_labels', $wpex_tax_labels),
		'query_var' => true,
		'rewrite' => array( 'slug' => $staff_tax_slug ),
	));
	
	// Service taxonomies
	$services_tax_slug = ($data['services_tax_slug']) ? $data['services_tax_slug'] : 'services-category';
	register_taxonomy('services_cats','services',array(
		'hierarchical' => true,
		'labels' => apply_filters('wpex_services_tax_labels', $wpex_tax_labels),
		'query_var' => true,
		'rewrite' => array( 'slug' => $services_tax_slug ),
	));
}


///taxonomy filter
function wpex_add_taxonomy_filters() {
	global $typenow;

	if( $typenow == 'services' || $typenow == 'portfolio' || $typenow == 'staff' || $typenow == 'faqs' ){
		if( $typenow == 'portfolio') { $taxonomies = array('portfolio_cats'); }
		if( $typenow == 'services') { $taxonomies = array('services_cats'); }
		if( $typenow == 'staff') { $taxonomies = array('staff_cats'); }
		if( $typenow == 'faqs') { $taxonomies = array('faqs_cats'); }

		foreach ($taxonomies as $tax_slug) {
			$tax_obj = get_taxonomy($tax_slug);
			$tax_name = $tax_obj->labels->name;
			$terms = get_terms($tax_slug);
			if(count($terms) > 0) {
				echo "<select name='$tax_slug' id='$tax_slug' class='postform'>";
				echo "<option value=''>All Categories</option>";
				foreach ($terms as $term) { 
					echo '<option value='. $term->slug, $_GET[$tax_slug] == $term->slug ? ' selected="selected"' : '','>' . $term->name .' (' . $term->count .')</option>'; 
				}
				echo "</select>";
			}
		}
	}
}
add_action( 'restrict_manage_posts', 'wpex_add_taxonomy_filters' );
?>